diff -ur --exclude=CVS --new-file strace-cvs250203/ChangeLog strace/ChangeLog
--- strace-cvs250203/ChangeLog	Mon Feb 24 10:53:48 2003
+++ strace/ChangeLog	Wed Feb 26 23:43:48 2003
@@ -1,3 +1,18 @@
+2003-02-26  Stuart Menefy <stuart.menefy@st.com>
+
+	* linux/ioctlent.sh: Take an arg for location of header files
+	* syscallent.sh: Replaced lost $
+	
+	Various fixes for SuperH [SH]:
+	* mem.c(sys_old_mmap): mmap() parameters passed in registers
+	* net.c(sys_pipe), syscall.c(getrval2): pipe() results returned
+	in registers
+	* process.c (change_syscall): Fixed register which holds system
+	call number
+	* util.c (arg0_offset, arg1_offset): provide definition
+	* Makefile.am: Added new files in linux/sh
+	* linux/sh/{syscallent,errnoent,ioctlent,signalent}.h: New files
+
 2003-02-24  Roland McGrath  <roland@redhat.com>
 
 	* configure.ac, NEWS: Version 4.4.95.
diff -ur --exclude=CVS --new-file strace-cvs250203/Makefile.am strace/Makefile.am
--- strace-cvs250203/Makefile.am	Thu Feb 20 02:56:29 2003
+++ strace/Makefile.am	Wed Feb 26 23:29:27 2003
@@ -42,6 +42,8 @@
 	     linux/s390/signalent.h linux/s390/syscallent.h \
 	     linux/s390x/errnoent.h linux/s390x/ioctlent.h \
 	     linux/s390x/signalent.h linux/s390x/syscallent.h \
+	     linux/sh/syscallent.h linux/sh/errnoent.h \
+	     linux/sh/ioctlent.h linux/sh/signalent.h \
 	     linux/sparc/dummy2.h \
 	     linux/sparc/errnoent.h linux/sparc/errnoent1.h \
 	     linux/sparc/ioctlent.h linux/sparc/ioctlent1.h \
diff -ur --exclude=CVS --new-file strace-cvs250203/linux/ioctlent.sh strace/linux/ioctlent.sh
--- strace-cvs250203/linux/ioctlent.sh	Tue Jan 14 07:53:36 2003
+++ strace/linux/ioctlent.sh	Wed Feb 26 01:15:27 2003
@@ -28,7 +28,14 @@
 #	$Id: ioctlent.sh,v 1.7 2003/01/14 07:53:36 roland Exp $
 #
 
-dir="/usr/include"
+# Validate arg count.
+if [ $# -ne 1 ]
+then
+        echo "usage: $0 include-directory" >&2
+        exit 1
+fi
+
+dir=$1
 
 files="asm/ioctls.h /dev/null"
 # Build the list of all ioctls
diff -ur --exclude=CVS --new-file strace-cvs250203/linux/sh/errnoent.h strace/linux/sh/errnoent.h
--- strace-cvs250203/linux/sh/errnoent.h	Thu Jan  1 01:00:00 1970
+++ strace/linux/sh/errnoent.h	Wed Feb 26 01:22:42 2003
@@ -0,0 +1,529 @@
+	"ERRNO_0", /* 0 */
+	"EPERM", /* 1 */
+	"ENOENT", /* 2 */
+	"ESRCH", /* 3 */
+	"EINTR", /* 4 */
+	"EIO", /* 5 */
+	"ENXIO", /* 6 */
+	"E2BIG", /* 7 */
+	"ENOEXEC", /* 8 */
+	"EBADF", /* 9 */
+	"ECHILD", /* 10 */
+	"EAGAIN", /* 11 */
+	"ENOMEM", /* 12 */
+	"EACCES", /* 13 */
+	"EFAULT", /* 14 */
+	"ENOTBLK", /* 15 */
+	"EBUSY", /* 16 */
+	"EEXIST", /* 17 */
+	"EXDEV", /* 18 */
+	"ENODEV", /* 19 */
+	"ENOTDIR", /* 20 */
+	"EISDIR", /* 21 */
+	"EINVAL", /* 22 */
+	"ENFILE", /* 23 */
+	"EMFILE", /* 24 */
+	"ENOTTY", /* 25 */
+	"ETXTBSY", /* 26 */
+	"EFBIG", /* 27 */
+	"ENOSPC", /* 28 */
+	"ESPIPE", /* 29 */
+	"EROFS", /* 30 */
+	"EMLINK", /* 31 */
+	"EPIPE", /* 32 */
+	"EDOM", /* 33 */
+	"ERANGE", /* 34 */
+	"EDEADLK", /* 35 */
+	"ENAMETOOLONG", /* 36 */
+	"ENOLCK", /* 37 */
+	"ENOSYS", /* 38 */
+	"ENOTEMPTY", /* 39 */
+	"ELOOP", /* 40 */
+	"ERRNO_41", /* 41 */
+	"ENOMSG", /* 42 */
+	"EIDRM", /* 43 */
+	"ECHRNG", /* 44 */
+	"EL2NSYNC", /* 45 */
+	"EL3HLT", /* 46 */
+	"EL3RST", /* 47 */
+	"ELNRNG", /* 48 */
+	"EUNATCH", /* 49 */
+	"ENOCSI", /* 50 */
+	"EL2HLT", /* 51 */
+	"EBADE", /* 52 */
+	"EBADR", /* 53 */
+	"EXFULL", /* 54 */
+	"ENOANO", /* 55 */
+	"EBADRQC", /* 56 */
+	"EBADSLT", /* 57 */
+	"ERRNO_58", /* 58 */
+	"EBFONT", /* 59 */
+	"ENOSTR", /* 60 */
+	"ENODATA", /* 61 */
+	"ETIME", /* 62 */
+	"ENOSR", /* 63 */
+	"ENONET", /* 64 */
+	"ENOPKG", /* 65 */
+	"EREMOTE", /* 66 */
+	"ENOLINK", /* 67 */
+	"EADV", /* 68 */
+	"ESRMNT", /* 69 */
+	"ECOMM", /* 70 */
+	"EPROTO", /* 71 */
+	"EMULTIHOP", /* 72 */
+	"EDOTDOT", /* 73 */
+	"EBADMSG", /* 74 */
+	"EOVERFLOW", /* 75 */
+	"ENOTUNIQ", /* 76 */
+	"EBADFD", /* 77 */
+	"EREMCHG", /* 78 */
+	"ELIBACC", /* 79 */
+	"ELIBBAD", /* 80 */
+	"ELIBSCN", /* 81 */
+	"ELIBMAX", /* 82 */
+	"ELIBEXEC", /* 83 */
+	"EILSEQ", /* 84 */
+	"ERESTART", /* 85 */
+	"ESTRPIPE", /* 86 */
+	"EUSERS", /* 87 */
+	"ENOTSOCK", /* 88 */
+	"EDESTADDRREQ", /* 89 */
+	"EMSGSIZE", /* 90 */
+	"EPROTOTYPE", /* 91 */
+	"ENOPROTOOPT", /* 92 */
+	"EPROTONOSUPPORT", /* 93 */
+	"ESOCKTNOSUPPORT", /* 94 */
+	"EOPNOTSUPP", /* 95 */
+	"EPFNOSUPPORT", /* 96 */
+	"EAFNOSUPPORT", /* 97 */
+	"EADDRINUSE", /* 98 */
+	"EADDRNOTAVAIL", /* 99 */
+	"ENETDOWN", /* 100 */
+	"ENETUNREACH", /* 101 */
+	"ENETRESET", /* 102 */
+	"ECONNABORTED", /* 103 */
+	"ECONNRESET", /* 104 */
+	"ENOBUFS", /* 105 */
+	"EISCONN", /* 106 */
+	"ENOTCONN", /* 107 */
+	"ESHUTDOWN", /* 108 */
+	"ETOOMANYREFS", /* 109 */
+	"ETIMEDOUT", /* 110 */
+	"ECONNREFUSED", /* 111 */
+	"EHOSTDOWN", /* 112 */
+	"EHOSTUNREACH", /* 113 */
+	"EALREADY", /* 114 */
+	"EINPROGRESS", /* 115 */
+	"ESTALE", /* 116 */
+	"EUCLEAN", /* 117 */
+	"ENOTNAM", /* 118 */
+	"ENAVAIL", /* 119 */
+	"EISNAM", /* 120 */
+	"EREMOTEIO", /* 121 */
+	"EDQUOT", /* 122 */
+	"ENOMEDIUM", /* 123 */
+	"EMEDIUMTYPE", /* 124 */
+	"ERRNO_125", /* 125 */
+	"ERRNO_126", /* 126 */
+	"ERRNO_127", /* 127 */
+	"ERRNO_128", /* 128 */
+	"ERRNO_129", /* 129 */
+	"ERRNO_130", /* 130 */
+	"ERRNO_131", /* 131 */
+	"ERRNO_132", /* 132 */
+	"ERRNO_133", /* 133 */
+	"ERRNO_134", /* 134 */
+	"ERRNO_135", /* 135 */
+	"ERRNO_136", /* 136 */
+	"ERRNO_137", /* 137 */
+	"ERRNO_138", /* 138 */
+	"ERRNO_139", /* 139 */
+	"ERRNO_140", /* 140 */
+	"ERRNO_141", /* 141 */
+	"ERRNO_142", /* 142 */
+	"ERRNO_143", /* 143 */
+	"ERRNO_144", /* 144 */
+	"ERRNO_145", /* 145 */
+	"ERRNO_146", /* 146 */
+	"ERRNO_147", /* 147 */
+	"ERRNO_148", /* 148 */
+	"ERRNO_149", /* 149 */
+	"ERRNO_150", /* 150 */
+	"ERRNO_151", /* 151 */
+	"ERRNO_152", /* 152 */
+	"ERRNO_153", /* 153 */
+	"ERRNO_154", /* 154 */
+	"ERRNO_155", /* 155 */
+	"ERRNO_156", /* 156 */
+	"ERRNO_157", /* 157 */
+	"ERRNO_158", /* 158 */
+	"ERRNO_159", /* 159 */
+	"ERRNO_160", /* 160 */
+	"ERRNO_161", /* 161 */
+	"ERRNO_162", /* 162 */
+	"ERRNO_163", /* 163 */
+	"ERRNO_164", /* 164 */
+	"ERRNO_165", /* 165 */
+	"ERRNO_166", /* 166 */
+	"ERRNO_167", /* 167 */
+	"ERRNO_168", /* 168 */
+	"ERRNO_169", /* 169 */
+	"ERRNO_170", /* 170 */
+	"ERRNO_171", /* 171 */
+	"ERRNO_172", /* 172 */
+	"ERRNO_173", /* 173 */
+	"ERRNO_174", /* 174 */
+	"ERRNO_175", /* 175 */
+	"ERRNO_176", /* 176 */
+	"ERRNO_177", /* 177 */
+	"ERRNO_178", /* 178 */
+	"ERRNO_179", /* 179 */
+	"ERRNO_180", /* 180 */
+	"ERRNO_181", /* 181 */
+	"ERRNO_182", /* 182 */
+	"ERRNO_183", /* 183 */
+	"ERRNO_184", /* 184 */
+	"ERRNO_185", /* 185 */
+	"ERRNO_186", /* 186 */
+	"ERRNO_187", /* 187 */
+	"ERRNO_188", /* 188 */
+	"ERRNO_189", /* 189 */
+	"ERRNO_190", /* 190 */
+	"ERRNO_191", /* 191 */
+	"ERRNO_192", /* 192 */
+	"ERRNO_193", /* 193 */
+	"ERRNO_194", /* 194 */
+	"ERRNO_195", /* 195 */
+	"ERRNO_196", /* 196 */
+	"ERRNO_197", /* 197 */
+	"ERRNO_198", /* 198 */
+	"ERRNO_199", /* 199 */
+	"ERRNO_200", /* 200 */
+	"ERRNO_201", /* 201 */
+	"ERRNO_202", /* 202 */
+	"ERRNO_203", /* 203 */
+	"ERRNO_204", /* 204 */
+	"ERRNO_205", /* 205 */
+	"ERRNO_206", /* 206 */
+	"ERRNO_207", /* 207 */
+	"ERRNO_208", /* 208 */
+	"ERRNO_209", /* 209 */
+	"ERRNO_210", /* 210 */
+	"ERRNO_211", /* 211 */
+	"ERRNO_212", /* 212 */
+	"ERRNO_213", /* 213 */
+	"ERRNO_214", /* 214 */
+	"ERRNO_215", /* 215 */
+	"ERRNO_216", /* 216 */
+	"ERRNO_217", /* 217 */
+	"ERRNO_218", /* 218 */
+	"ERRNO_219", /* 219 */
+	"ERRNO_220", /* 220 */
+	"ERRNO_221", /* 221 */
+	"ERRNO_222", /* 222 */
+	"ERRNO_223", /* 223 */
+	"ERRNO_224", /* 224 */
+	"ERRNO_225", /* 225 */
+	"ERRNO_226", /* 226 */
+	"ERRNO_227", /* 227 */
+	"ERRNO_228", /* 228 */
+	"ERRNO_229", /* 229 */
+	"ERRNO_230", /* 230 */
+	"ERRNO_231", /* 231 */
+	"ERRNO_232", /* 232 */
+	"ERRNO_233", /* 233 */
+	"ERRNO_234", /* 234 */
+	"ERRNO_235", /* 235 */
+	"ERRNO_236", /* 236 */
+	"ERRNO_237", /* 237 */
+	"ERRNO_238", /* 238 */
+	"ERRNO_239", /* 239 */
+	"ERRNO_240", /* 240 */
+	"ERRNO_241", /* 241 */
+	"ERRNO_242", /* 242 */
+	"ERRNO_243", /* 243 */
+	"ERRNO_244", /* 244 */
+	"ERRNO_245", /* 245 */
+	"ERRNO_246", /* 246 */
+	"ERRNO_247", /* 247 */
+	"ERRNO_248", /* 248 */
+	"ERRNO_249", /* 249 */
+	"ERRNO_250", /* 250 */
+	"ERRNO_251", /* 251 */
+	"ERRNO_252", /* 252 */
+	"ERRNO_253", /* 253 */
+	"ERRNO_254", /* 254 */
+	"ERRNO_255", /* 255 */
+	"ERRNO_256", /* 256 */
+	"ERRNO_257", /* 257 */
+	"ERRNO_258", /* 258 */
+	"ERRNO_259", /* 259 */
+	"ERRNO_260", /* 260 */
+	"ERRNO_261", /* 261 */
+	"ERRNO_262", /* 262 */
+	"ERRNO_263", /* 263 */
+	"ERRNO_264", /* 264 */
+	"ERRNO_265", /* 265 */
+	"ERRNO_266", /* 266 */
+	"ERRNO_267", /* 267 */
+	"ERRNO_268", /* 268 */
+	"ERRNO_269", /* 269 */
+	"ERRNO_270", /* 270 */
+	"ERRNO_271", /* 271 */
+	"ERRNO_272", /* 272 */
+	"ERRNO_273", /* 273 */
+	"ERRNO_274", /* 274 */
+	"ERRNO_275", /* 275 */
+	"ERRNO_276", /* 276 */
+	"ERRNO_277", /* 277 */
+	"ERRNO_278", /* 278 */
+	"ERRNO_279", /* 279 */
+	"ERRNO_280", /* 280 */
+	"ERRNO_281", /* 281 */
+	"ERRNO_282", /* 282 */
+	"ERRNO_283", /* 283 */
+	"ERRNO_284", /* 284 */
+	"ERRNO_285", /* 285 */
+	"ERRNO_286", /* 286 */
+	"ERRNO_287", /* 287 */
+	"ERRNO_288", /* 288 */
+	"ERRNO_289", /* 289 */
+	"ERRNO_290", /* 290 */
+	"ERRNO_291", /* 291 */
+	"ERRNO_292", /* 292 */
+	"ERRNO_293", /* 293 */
+	"ERRNO_294", /* 294 */
+	"ERRNO_295", /* 295 */
+	"ERRNO_296", /* 296 */
+	"ERRNO_297", /* 297 */
+	"ERRNO_298", /* 298 */
+	"ERRNO_299", /* 299 */
+	"ERRNO_300", /* 300 */
+	"ERRNO_301", /* 301 */
+	"ERRNO_302", /* 302 */
+	"ERRNO_303", /* 303 */
+	"ERRNO_304", /* 304 */
+	"ERRNO_305", /* 305 */
+	"ERRNO_306", /* 306 */
+	"ERRNO_307", /* 307 */
+	"ERRNO_308", /* 308 */
+	"ERRNO_309", /* 309 */
+	"ERRNO_310", /* 310 */
+	"ERRNO_311", /* 311 */
+	"ERRNO_312", /* 312 */
+	"ERRNO_313", /* 313 */
+	"ERRNO_314", /* 314 */
+	"ERRNO_315", /* 315 */
+	"ERRNO_316", /* 316 */
+	"ERRNO_317", /* 317 */
+	"ERRNO_318", /* 318 */
+	"ERRNO_319", /* 319 */
+	"ERRNO_320", /* 320 */
+	"ERRNO_321", /* 321 */
+	"ERRNO_322", /* 322 */
+	"ERRNO_323", /* 323 */
+	"ERRNO_324", /* 324 */
+	"ERRNO_325", /* 325 */
+	"ERRNO_326", /* 326 */
+	"ERRNO_327", /* 327 */
+	"ERRNO_328", /* 328 */
+	"ERRNO_329", /* 329 */
+	"ERRNO_330", /* 330 */
+	"ERRNO_331", /* 331 */
+	"ERRNO_332", /* 332 */
+	"ERRNO_333", /* 333 */
+	"ERRNO_334", /* 334 */
+	"ERRNO_335", /* 335 */
+	"ERRNO_336", /* 336 */
+	"ERRNO_337", /* 337 */
+	"ERRNO_338", /* 338 */
+	"ERRNO_339", /* 339 */
+	"ERRNO_340", /* 340 */
+	"ERRNO_341", /* 341 */
+	"ERRNO_342", /* 342 */
+	"ERRNO_343", /* 343 */
+	"ERRNO_344", /* 344 */
+	"ERRNO_345", /* 345 */
+	"ERRNO_346", /* 346 */
+	"ERRNO_347", /* 347 */
+	"ERRNO_348", /* 348 */
+	"ERRNO_349", /* 349 */
+	"ERRNO_350", /* 350 */
+	"ERRNO_351", /* 351 */
+	"ERRNO_352", /* 352 */
+	"ERRNO_353", /* 353 */
+	"ERRNO_354", /* 354 */
+	"ERRNO_355", /* 355 */
+	"ERRNO_356", /* 356 */
+	"ERRNO_357", /* 357 */
+	"ERRNO_358", /* 358 */
+	"ERRNO_359", /* 359 */
+	"ERRNO_360", /* 360 */
+	"ERRNO_361", /* 361 */
+	"ERRNO_362", /* 362 */
+	"ERRNO_363", /* 363 */
+	"ERRNO_364", /* 364 */
+	"ERRNO_365", /* 365 */
+	"ERRNO_366", /* 366 */
+	"ERRNO_367", /* 367 */
+	"ERRNO_368", /* 368 */
+	"ERRNO_369", /* 369 */
+	"ERRNO_370", /* 370 */
+	"ERRNO_371", /* 371 */
+	"ERRNO_372", /* 372 */
+	"ERRNO_373", /* 373 */
+	"ERRNO_374", /* 374 */
+	"ERRNO_375", /* 375 */
+	"ERRNO_376", /* 376 */
+	"ERRNO_377", /* 377 */
+	"ERRNO_378", /* 378 */
+	"ERRNO_379", /* 379 */
+	"ERRNO_380", /* 380 */
+	"ERRNO_381", /* 381 */
+	"ERRNO_382", /* 382 */
+	"ERRNO_383", /* 383 */
+	"ERRNO_384", /* 384 */
+	"ERRNO_385", /* 385 */
+	"ERRNO_386", /* 386 */
+	"ERRNO_387", /* 387 */
+	"ERRNO_388", /* 388 */
+	"ERRNO_389", /* 389 */
+	"ERRNO_390", /* 390 */
+	"ERRNO_391", /* 391 */
+	"ERRNO_392", /* 392 */
+	"ERRNO_393", /* 393 */
+	"ERRNO_394", /* 394 */
+	"ERRNO_395", /* 395 */
+	"ERRNO_396", /* 396 */
+	"ERRNO_397", /* 397 */
+	"ERRNO_398", /* 398 */
+	"ERRNO_399", /* 399 */
+	"ERRNO_400", /* 400 */
+	"ERRNO_401", /* 401 */
+	"ERRNO_402", /* 402 */
+	"ERRNO_403", /* 403 */
+	"ERRNO_404", /* 404 */
+	"ERRNO_405", /* 405 */
+	"ERRNO_406", /* 406 */
+	"ERRNO_407", /* 407 */
+	"ERRNO_408", /* 408 */
+	"ERRNO_409", /* 409 */
+	"ERRNO_410", /* 410 */
+	"ERRNO_411", /* 411 */
+	"ERRNO_412", /* 412 */
+	"ERRNO_413", /* 413 */
+	"ERRNO_414", /* 414 */
+	"ERRNO_415", /* 415 */
+	"ERRNO_416", /* 416 */
+	"ERRNO_417", /* 417 */
+	"ERRNO_418", /* 418 */
+	"ERRNO_419", /* 419 */
+	"ERRNO_420", /* 420 */
+	"ERRNO_421", /* 421 */
+	"ERRNO_422", /* 422 */
+	"ERRNO_423", /* 423 */
+	"ERRNO_424", /* 424 */
+	"ERRNO_425", /* 425 */
+	"ERRNO_426", /* 426 */
+	"ERRNO_427", /* 427 */
+	"ERRNO_428", /* 428 */
+	"ERRNO_429", /* 429 */
+	"ERRNO_430", /* 430 */
+	"ERRNO_431", /* 431 */
+	"ERRNO_432", /* 432 */
+	"ERRNO_433", /* 433 */
+	"ERRNO_434", /* 434 */
+	"ERRNO_435", /* 435 */
+	"ERRNO_436", /* 436 */
+	"ERRNO_437", /* 437 */
+	"ERRNO_438", /* 438 */
+	"ERRNO_439", /* 439 */
+	"ERRNO_440", /* 440 */
+	"ERRNO_441", /* 441 */
+	"ERRNO_442", /* 442 */
+	"ERRNO_443", /* 443 */
+	"ERRNO_444", /* 444 */
+	"ERRNO_445", /* 445 */
+	"ERRNO_446", /* 446 */
+	"ERRNO_447", /* 447 */
+	"ERRNO_448", /* 448 */
+	"ERRNO_449", /* 449 */
+	"ERRNO_450", /* 450 */
+	"ERRNO_451", /* 451 */
+	"ERRNO_452", /* 452 */
+	"ERRNO_453", /* 453 */
+	"ERRNO_454", /* 454 */
+	"ERRNO_455", /* 455 */
+	"ERRNO_456", /* 456 */
+	"ERRNO_457", /* 457 */
+	"ERRNO_458", /* 458 */
+	"ERRNO_459", /* 459 */
+	"ERRNO_460", /* 460 */
+	"ERRNO_461", /* 461 */
+	"ERRNO_462", /* 462 */
+	"ERRNO_463", /* 463 */
+	"ERRNO_464", /* 464 */
+	"ERRNO_465", /* 465 */
+	"ERRNO_466", /* 466 */
+	"ERRNO_467", /* 467 */
+	"ERRNO_468", /* 468 */
+	"ERRNO_469", /* 469 */
+	"ERRNO_470", /* 470 */
+	"ERRNO_471", /* 471 */
+	"ERRNO_472", /* 472 */
+	"ERRNO_473", /* 473 */
+	"ERRNO_474", /* 474 */
+	"ERRNO_475", /* 475 */
+	"ERRNO_476", /* 476 */
+	"ERRNO_477", /* 477 */
+	"ERRNO_478", /* 478 */
+	"ERRNO_479", /* 479 */
+	"ERRNO_480", /* 480 */
+	"ERRNO_481", /* 481 */
+	"ERRNO_482", /* 482 */
+	"ERRNO_483", /* 483 */
+	"ERRNO_484", /* 484 */
+	"ERRNO_485", /* 485 */
+	"ERRNO_486", /* 486 */
+	"ERRNO_487", /* 487 */
+	"ERRNO_488", /* 488 */
+	"ERRNO_489", /* 489 */
+	"ERRNO_490", /* 490 */
+	"ERRNO_491", /* 491 */
+	"ERRNO_492", /* 492 */
+	"ERRNO_493", /* 493 */
+	"ERRNO_494", /* 494 */
+	"ERRNO_495", /* 495 */
+	"ERRNO_496", /* 496 */
+	"ERRNO_497", /* 497 */
+	"ERRNO_498", /* 498 */
+	"ERRNO_499", /* 499 */
+	"ERRNO_500", /* 500 */
+	"ERRNO_501", /* 501 */
+	"ERRNO_502", /* 502 */
+	"ERRNO_503", /* 503 */
+	"ERRNO_504", /* 504 */
+	"ERRNO_505", /* 505 */
+	"ERRNO_506", /* 506 */
+	"ERRNO_507", /* 507 */
+	"ERRNO_508", /* 508 */
+	"ERRNO_509", /* 509 */
+	"ERRNO_510", /* 510 */
+	"ERRNO_511", /* 511 */
+	"ERESTARTSYS", /* 512 */
+	"ERESTARTNOINTR", /* 513 */
+	"ERESTARTNOHAND", /* 514 */
+	"ENOIOCTLCMD", /* 515 */
+	"ERRNO_516", /* 516 */
+	"ERRNO_517", /* 517 */
+	"ERRNO_518", /* 518 */
+	"ERRNO_519", /* 519 */
+	"ERRNO_520", /* 520 */
+	"EBADHANDLE", /* 521 */
+	"ENOTSYNC", /* 522 */
+	"EBADCOOKIE", /* 523 */
+	"ENOTSUPP", /* 524 */
+	"ETOOSMALL", /* 525 */
+	"ESERVERFAULT", /* 526 */
+	"EBADTYPE", /* 527 */
+	"EJUKEBOX", /* 528 */
diff -ur --exclude=CVS --new-file strace-cvs250203/linux/sh/ioctlent.h strace/linux/sh/ioctlent.h
--- strace-cvs250203/linux/sh/ioctlent.h	Thu Jan  1 01:00:00 1970
+++ strace/linux/sh/ioctlent.h	Wed Feb 26 01:22:42 2003
@@ -0,0 +1,836 @@
+	{"linux/fs.h",	"FIBMAP",	0x1},
+	{"linux/fs.h",	"FIGETBSZ",	0x2},
+	{"linux/fd.h",	"FDGETPRM",	0x204},
+	{"linux/fd.h",	"FDGETMAXERRS",	0x20e},
+	{"linux/fd.h",	"FDGETDRVTYP",	0x20f},
+	{"linux/fd.h",	"FDGETDRVPRM",	0x211},
+	{"linux/fd.h",	"FDGETDRVSTAT",	0x212},
+	{"linux/fd.h",	"FDPOLLDRVSTAT",	0x213},
+	{"linux/fd.h",	"FDGETFDCSTAT",	0x215},
+	{"linux/fd.h",	"FDWERRORGET",	0x217},
+	{"linux/fd.h",	"FDCLRPRM",	0x241},
+	{"linux/fd.h",	"FDSETPRM",	0x242},
+	{"linux/fd.h",	"FDDEFPRM",	0x243},
+	{"linux/fd.h",	"FDMSGON",	0x245},
+	{"linux/fd.h",	"FDMSGOFF",	0x246},
+	{"linux/fd.h",	"FDFMTBEG",	0x247},
+	{"linux/fd.h",	"FDFMTTRK",	0x248},
+	{"linux/fd.h",	"FDFMTEND",	0x249},
+	{"linux/fd.h",	"FDSETEMSGTRESH",	0x24a},
+	{"linux/fd.h",	"FDFLUSH",	0x24b},
+	{"linux/fd.h",	"FDSETMAXERRS",	0x24c},
+	{"linux/fd.h",	"FDRESET",	0x254},
+	{"linux/fd.h",	"FDWERRORCLR",	0x256},
+	{"linux/fd.h",	"FDRAWCMD",	0x258},
+	{"linux/fd.h",	"FDTWADDLE",	0x259},
+	{"linux/fd.h",	"FDEJECT",	0x25a},
+	{"linux/fd.h",	"FDSETDRVPRM",	0x290},
+	{"linux/umsdos_fs.h",	"UMSDOS_READDIR_DOS",	0x4d2},
+	{"linux/umsdos_fs.h",	"UMSDOS_UNLINK_DOS",	0x4d3},
+	{"linux/umsdos_fs.h",	"UMSDOS_RMDIR_DOS",	0x4d4},
+	{"linux/umsdos_fs.h",	"UMSDOS_STAT_DOS",	0x4d5},
+	{"linux/umsdos_fs.h",	"UMSDOS_CREAT_EMD",	0x4d6},
+	{"linux/umsdos_fs.h",	"UMSDOS_UNLINK_EMD",	0x4d7},
+	{"linux/umsdos_fs.h",	"UMSDOS_READDIR_EMD",	0x4d8},
+	{"linux/umsdos_fs.h",	"UMSDOS_GETVERSION",	0x4d9},
+	{"linux/umsdos_fs.h",	"UMSDOS_INIT_EMD",	0x4da},
+	{"linux/umsdos_fs.h",	"UMSDOS_DOS_SETUP",	0x4db},
+	{"linux/umsdos_fs.h",	"UMSDOS_RENAME_DOS",	0x4dc},
+	{"linux/fs.h",	"BLKROSET",	0x125d},
+	{"linux/fs.h",	"BLKROGET",	0x125e},
+	{"linux/fs.h",	"BLKRRPART",	0x125f},
+	{"linux/fs.h",	"BLKGETSIZE",	0x1260},
+	{"linux/fs.h",	"BLKFLSBUF",	0x1261},
+	{"linux/fs.h",	"BLKRASET",	0x1262},
+	{"linux/fs.h",	"BLKRAGET",	0x1263},
+	{"linux/fs.h",	"BLKFRASET",	0x1264},
+	{"linux/fs.h",	"BLKFRAGET",	0x1265},
+	{"linux/fs.h",	"BLKSECTSET",	0x1266},
+	{"linux/fs.h",	"BLKSECTGET",	0x1267},
+	{"linux/fs.h",	"BLKSSZGET",	0x1268},
+	{"linux/blkpg.h",	"BLKPG",	0x1269},
+	{"linux/fs.h",	"BLKPG",	0x1269},
+	{"linux/elevator.h",	"BLKELVGET",	0x126a},
+	{"linux/fs.h",	"BLKELVGET",	0x126a},
+	{"linux/elevator.h",	"BLKELVSET",	0x126b},
+	{"linux/fs.h",	"BLKELVSET",	0x126b},
+	{"linux/fs.h",	"BLKBSZGET",	0x1270},
+	{"linux/fs.h",	"BLKBSZSET",	0x1271},
+	{"linux/fs.h",	"BLKGETSIZE64",	0x1272},
+	{"linux/agpgart.h",	"AGPIOC_INFO",	0x4100},
+	{"linux/agpgart.h",	"AGPIOC_ACQUIRE",	0x4101},
+	{"linux/apm_bios.h",	"APM_IOC_STANDBY",	0x4101},
+	{"linux/agpgart.h",	"AGPIOC_RELEASE",	0x4102},
+	{"linux/apm_bios.h",	"APM_IOC_SUSPEND",	0x4102},
+	{"linux/agpgart.h",	"AGPIOC_SETUP",	0x4103},
+	{"linux/agpgart.h",	"AGPIOC_RESERVE",	0x4104},
+	{"linux/agpgart.h",	"AGPIOC_PROTECT",	0x4105},
+	{"linux/agpgart.h",	"AGPIOC_ALLOCATE",	0x4106},
+	{"linux/agpgart.h",	"AGPIOC_DEALLOCATE",	0x4107},
+	{"linux/agpgart.h",	"AGPIOC_BIND",	0x4108},
+	{"linux/agpgart.h",	"AGPIOC_UNBIND",	0x4109},
+	{"linux/pmu.h",	"PMU_IOC_SLEEP",	0x4200},
+	{"linux/cciss_ioctl.h",	"CCISS_GETPCIINFO",	0x4201},
+	{"linux/pmu.h",	"PMU_IOC_GET_BACKLIGHT",	0x4201},
+	{"linux/cciss_ioctl.h",	"CCISS_GETINTINFO",	0x4202},
+	{"linux/pmu.h",	"PMU_IOC_SET_BACKLIGHT",	0x4202},
+	{"linux/cciss_ioctl.h",	"CCISS_SETINTINFO",	0x4203},
+	{"linux/pmu.h",	"PMU_IOC_GET_MODEL",	0x4203},
+	{"linux/cciss_ioctl.h",	"CCISS_GETNODENAME",	0x4204},
+	{"linux/pmu.h",	"PMU_IOC_HAS_ADB",	0x4204},
+	{"linux/cciss_ioctl.h",	"CCISS_SETNODENAME",	0x4205},
+	{"linux/pmu.h",	"PMU_IOC_CAN_SLEEP",	0x4205},
+	{"linux/cciss_ioctl.h",	"CCISS_GETHEARTBEAT",	0x4206},
+	{"linux/cciss_ioctl.h",	"CCISS_GETBUSTYPES",	0x4207},
+	{"linux/cciss_ioctl.h",	"CCISS_GETFIRMVER",	0x4208},
+	{"linux/cciss_ioctl.h",	"CCISS_GETDRIVVER",	0x4209},
+	{"linux/cciss_ioctl.h",	"CCISS_REVALIDVOLS",	0x420a},
+	{"linux/cciss_ioctl.h",	"CCISS_PASSTHRU",	0x420b},
+	{"linux/soundcard.h",	"SNDCTL_COPR_RESET",	0x4300},
+	{"linux/capi.h",	"CAPI_REGISTER",	0x4301},
+	{"linux/soundcard.h",	"SNDCTL_COPR_LOAD",	0x4301},
+	{"linux/soundcard.h",	"SNDCTL_COPR_RDATA",	0x4302},
+	{"linux/soundcard.h",	"SNDCTL_COPR_RCODE",	0x4303},
+	{"linux/soundcard.h",	"SNDCTL_COPR_WDATA",	0x4304},
+	{"linux/soundcard.h",	"SNDCTL_COPR_WCODE",	0x4305},
+	{"linux/capi.h",	"CAPI_GET_MANUFACTURER",	0x4306},
+	{"linux/soundcard.h",	"SNDCTL_COPR_RUN",	0x4306},
+	{"linux/capi.h",	"CAPI_GET_VERSION",	0x4307},
+	{"linux/soundcard.h",	"SNDCTL_COPR_HALT",	0x4307},
+	{"linux/capi.h",	"CAPI_GET_SERIAL",	0x4308},
+	{"linux/soundcard.h",	"SNDCTL_COPR_SENDMSG",	0x4308},
+	{"linux/capi.h",	"CAPI_GET_PROFILE",	0x4309},
+	{"linux/soundcard.h",	"SNDCTL_COPR_RCVMSG",	0x4309},
+	{"linux/capi.h",	"CAPI_MANUFACTURER_CMD",	0x4320},
+	{"linux/capi.h",	"CAPI_GET_ERRCODE",	0x4321},
+	{"linux/capi.h",	"CAPI_INSTALLED",	0x4322},
+	{"linux/capi.h",	"CAPI_GET_FLAGS",	0x4323},
+	{"linux/capi.h",	"CAPI_SET_FLAGS",	0x4324},
+	{"linux/capi.h",	"CAPI_CLR_FLAGS",	0x4325},
+	{"linux/capi.h",	"CAPI_NCCI_OPENCOUNT",	0x4326},
+	{"linux/capi.h",	"CAPI_NCCI_GETUNIT",	0x4327},
+	{"linux/input.h",	"EVIOCGVERSION",	0x4501},
+	{"linux/input.h",	"EVIOCGID",	0x4502},
+	{"linux/input.h",	"EVIOCGREP",	0x4503},
+	{"linux/input.h",	"EVIOCSREP",	0x4503},
+	{"linux/input.h",	"EVIOCGKEYCODE",	0x4504},
+	{"linux/input.h",	"EVIOCSKEYCODE",	0x4504},
+	{"linux/input.h",	"EVIOCGKEY",	0x4505},
+	{"linux/input.h",	"EVIOCGBUS",	0x4507},
+	{"linux/input.h",	"EVIOCRMFF",	0x4581},
+	{"linux/input.h",	"EVIOCSGAIN",	0x4582},
+	{"linux/input.h",	"EVIOCSAUTOCENTER",	0x4583},
+	{"linux/input.h",	"EVIOCGEFFECTS",	0x4584},
+	{"linux/fb.h",	"FBIOGET_VBLANK",	0x4612},
+	{"linux/hiddev.h",	"HIDIOCGVERSION",	0x4801},
+	{"linux/hiddev.h",	"HIDIOCAPPLICATION",	0x4802},
+	{"linux/hiddev.h",	"HIDIOCGDEVINFO",	0x4803},
+	{"linux/hiddev.h",	"HIDIOCGSTRING",	0x4804},
+	{"linux/hiddev.h",	"HIDIOCINITREPORT",	0x4805},
+	{"linux/hiddev.h",	"HIDIOCGREPORT",	0x4807},
+	{"linux/hiddev.h",	"HIDIOCSREPORT",	0x4808},
+	{"linux/hiddev.h",	"HIDIOCGREPORTINFO",	0x4809},
+	{"linux/hiddev.h",	"HIDIOCGFIELDINFO",	0x480a},
+	{"linux/hiddev.h",	"HIDIOCGUSAGE",	0x480b},
+	{"linux/hiddev.h",	"HIDIOCSUSAGE",	0x480c},
+	{"linux/hiddev.h",	"HIDIOCGUCODE",	0x480d},
+	{"linux/isdn.h",	"IIOCNETAIF",	0x4901},
+	{"linux/isdn.h",	"IIOCNETDIF",	0x4902},
+	{"linux/isdn.h",	"IIOCNETSCF",	0x4903},
+	{"linux/isdn.h",	"IIOCNETGCF",	0x4904},
+	{"linux/isdn.h",	"IIOCNETANM",	0x4905},
+	{"linux/isdn.h",	"IIOCNETDNM",	0x4906},
+	{"linux/isdn.h",	"IIOCNETGNM",	0x4907},
+	{"linux/isdn.h",	"IIOCGETSET",	0x4908},
+	{"linux/isdn.h",	"IIOCSETSET",	0x4909},
+	{"linux/isdn.h",	"IIOCSETVER",	0x490a},
+	{"linux/isdn.h",	"IIOCNETHUP",	0x490b},
+	{"linux/isdn.h",	"IIOCSETGST",	0x490c},
+	{"linux/isdn.h",	"IIOCSETBRJ",	0x490d},
+	{"linux/isdn.h",	"IIOCSIGPRF",	0x490e},
+	{"linux/isdn.h",	"IIOCGETPRF",	0x490f},
+	{"linux/isdn.h",	"IIOCSETPRF",	0x4910},
+	{"linux/isdn.h",	"IIOCGETMAP",	0x4911},
+	{"linux/isdn.h",	"IIOCSETMAP",	0x4912},
+	{"linux/isdn.h",	"IIOCNETASL",	0x4913},
+	{"linux/isdn.h",	"IIOCNETDIL",	0x4914},
+	{"linux/isdn.h",	"IIOCGETCPS",	0x4915},
+	{"linux/isdn.h",	"IIOCGETDVR",	0x4916},
+	{"linux/isdn.h",	"IIOCNETLCR",	0x4917},
+	{"linux/isdn.h",	"IIOCNETDWRSET",	0x4918},
+	{"linux/isdn.h",	"IIOCNETALN",	0x4920},
+	{"linux/isdn.h",	"IIOCNETDLN",	0x4921},
+	{"linux/isdn.h",	"IIOCNETGPN",	0x4922},
+	{"linux/isdn.h",	"IIOCDBGVAR",	0x497f},
+	{"linux/isdn.h",	"IIOCDRVCTL",	0x4980},
+	{"linux/soundcard.h",	"SOUND_MIXER_INFO",	0x4d65},
+	{"linux/soundcard.h",	"SOUND_OLD_MIXER_INFO",	0x4d65},
+	{"linux/soundcard.h",	"SOUND_MIXER_ACCESS",	0x4d66},
+	{"linux/soundcard.h",	"SOUND_MIXER_AGC",	0x4d67},
+	{"linux/soundcard.h",	"SOUND_MIXER_3DSE",	0x4d68},
+	{"linux/soundcard.h",	"SOUND_MIXER_PRIVATE1",	0x4d6f},
+	{"linux/soundcard.h",	"SOUND_MIXER_PRIVATE2",	0x4d70},
+	{"linux/soundcard.h",	"SOUND_MIXER_PRIVATE3",	0x4d71},
+	{"linux/soundcard.h",	"SOUND_MIXER_PRIVATE4",	0x4d72},
+	{"linux/soundcard.h",	"SOUND_MIXER_PRIVATE5",	0x4d73},
+	{"linux/soundcard.h",	"SOUND_MIXER_GETLEVELS",	0x4d74},
+	{"linux/soundcard.h",	"SOUND_MIXER_SETLEVELS",	0x4d75},
+	{"linux/soundcard.h",	"OSS_GETVERSION",	0x4d76},
+	{"linux/soundcard.h",	"SNDCTL_DSP_RESET",	0x5000},
+	{"linux/soundcard.h",	"SNDCTL_DSP_SYNC",	0x5001},
+	{"linux/soundcard.h",	"SNDCTL_DSP_SPEED",	0x5002},
+	{"linux/soundcard.h",	"SOUND_PCM_READ_RATE",	0x5002},
+	{"linux/soundcard.h",	"SNDCTL_DSP_STEREO",	0x5003},
+	{"linux/soundcard.h",	"SNDCTL_DSP_GETBLKSIZE",	0x5004},
+	{"linux/soundcard.h",	"SNDCTL_DSP_SETFMT",	0x5005},
+	{"linux/soundcard.h",	"SOUND_PCM_READ_BITS",	0x5005},
+	{"linux/soundcard.h",	"SNDCTL_DSP_CHANNELS",	0x5006},
+	{"linux/soundcard.h",	"SOUND_PCM_READ_CHANNELS",	0x5006},
+	{"linux/soundcard.h",	"SOUND_PCM_WRITE_FILTER",	0x5007},
+	{"linux/soundcard.h",	"SOUND_PCM_READ_FILTER",	0x5007},
+	{"linux/soundcard.h",	"SNDCTL_DSP_POST",	0x5008},
+	{"linux/soundcard.h",	"SNDCTL_DSP_SUBDIVIDE",	0x5009},
+	{"linux/soundcard.h",	"SNDCTL_DSP_SETFRAGMENT",	0x500a},
+	{"linux/soundcard.h",	"SNDCTL_DSP_GETFMTS",	0x500b},
+	{"linux/soundcard.h",	"SNDCTL_DSP_GETOSPACE",	0x500c},
+	{"linux/soundcard.h",	"SNDCTL_DSP_GETISPACE",	0x500d},
+	{"linux/soundcard.h",	"SNDCTL_DSP_NONBLOCK",	0x500e},
+	{"linux/soundcard.h",	"SNDCTL_DSP_GETCAPS",	0x500f},
+	{"linux/soundcard.h",	"SNDCTL_DSP_GETTRIGGER",	0x5010},
+	{"linux/soundcard.h",	"SNDCTL_DSP_SETTRIGGER",	0x5010},
+	{"linux/soundcard.h",	"SNDCTL_DSP_GETIPTR",	0x5011},
+	{"linux/soundcard.h",	"SNDCTL_DSP_GETOPTR",	0x5012},
+	{"linux/soundcard.h",	"SNDCTL_DSP_MAPINBUF",	0x5013},
+	{"linux/soundcard.h",	"SNDCTL_DSP_MAPOUTBUF",	0x5014},
+	{"linux/soundcard.h",	"SNDCTL_DSP_SETSYNCRO",	0x5015},
+	{"linux/soundcard.h",	"SNDCTL_DSP_SETDUPLEX",	0x5016},
+	{"linux/soundcard.h",	"SNDCTL_DSP_GETODELAY",	0x5017},
+	{"linux/soundcard.h",	"SNDCTL_DSP_PROFILE",	0x5017},
+	{"linux/soundcard.h",	"SNDCTL_DSP_GETCHANNELMASK",	0x5040},
+	{"linux/soundcard.h",	"SNDCTL_DSP_BIND_CHANNEL",	0x5041},
+	{"linux/soundcard.h",	"SNDCTL_DSP_SETSPDIF",	0x5042},
+	{"linux/soundcard.h",	"SNDCTL_DSP_GETSPDIF",	0x5043},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_RESET",	0x5100},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_SYNC",	0x5101},
+	{"linux/soundcard.h",	"SNDCTL_SYNTH_INFO",	0x5102},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_CTRLRATE",	0x5103},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_GETOUTCOUNT",	0x5104},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_GETINCOUNT",	0x5105},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_PERCMODE",	0x5106},
+	{"linux/soundcard.h",	"SNDCTL_FM_LOAD_INSTR",	0x5107},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_TESTMIDI",	0x5108},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_RESETSAMPLES",	0x5109},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_NRSYNTHS",	0x510a},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_NRMIDIS",	0x510b},
+	{"linux/soundcard.h",	"SNDCTL_MIDI_INFO",	0x510c},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_THRESHOLD",	0x510d},
+	{"linux/soundcard.h",	"SNDCTL_SYNTH_MEMAVL",	0x510e},
+	{"linux/soundcard.h",	"SNDCTL_FM_4OP_ENABLE",	0x510f},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_PANIC",	0x5111},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_OUTOFBAND",	0x5112},
+	{"linux/soundcard.h",	"SNDCTL_SEQ_GETTIME",	0x5113},
+	{"linux/soundcard.h",	"SNDCTL_SYNTH_ID",	0x5114},
+	{"linux/soundcard.h",	"SNDCTL_SYNTH_CONTROL",	0x5115},
+	{"linux/soundcard.h",	"SNDCTL_SYNTH_REMOVESAMPLE",	0x5116},
+	{"linux/random.h",	"RNDGETENTCNT",	0x5200},
+	{"linux/random.h",	"RNDADDTOENTCNT",	0x5201},
+	{"linux/random.h",	"RNDGETPOOL",	0x5202},
+	{"linux/random.h",	"RNDADDENTROPY",	0x5203},
+	{"linux/random.h",	"RNDZAPENTCNT",	0x5204},
+	{"linux/random.h",	"RNDCLEARPOOL",	0x5206},
+	{"asm/ioctls.h",	"TCGETS",	0x5401},
+	{"linux/soundcard.h",	"SNDCTL_TMR_TIMEBASE",	0x5401},
+	{"asm/ioctls.h",	"TCSETS",	0x5402},
+	{"linux/soundcard.h",	"SNDCTL_TMR_START",	0x5402},
+	{"asm/ioctls.h",	"TCSETSW",	0x5403},
+	{"linux/soundcard.h",	"SNDCTL_TMR_STOP",	0x5403},
+	{"asm/ioctls.h",	"TCSETSF",	0x5404},
+	{"linux/soundcard.h",	"SNDCTL_TMR_CONTINUE",	0x5404},
+	{"linux/soundcard.h",	"SNDCTL_TMR_TEMPO",	0x5405},
+	{"linux/soundcard.h",	"SNDCTL_TMR_SOURCE",	0x5406},
+	{"linux/soundcard.h",	"SNDCTL_TMR_METRONOME",	0x5407},
+	{"linux/soundcard.h",	"SNDCTL_TMR_SELECT",	0x5408},
+	{"asm/ioctls.h",	"TIOCEXCL",	0x540c},
+	{"asm/ioctls.h",	"TIOCNXCL",	0x540d},
+	{"asm/ioctls.h",	"TIOCSCTTY",	0x540e},
+	{"asm/ioctls.h",	"TIOCSTI",	0x5412},
+	{"asm/ioctls.h",	"TIOCMGET",	0x5415},
+	{"asm/ioctls.h",	"TIOCMBIS",	0x5416},
+	{"asm/ioctls.h",	"TIOCMBIC",	0x5417},
+	{"asm/ioctls.h",	"TIOCMSET",	0x5418},
+	{"asm/ioctls.h",	"TIOCGSOFTCAR",	0x5419},
+	{"asm/ioctls.h",	"TIOCSSOFTCAR",	0x541a},
+	{"asm/ioctls.h",	"TIOCLINUX",	0x541c},
+	{"asm/ioctls.h",	"TIOCCONS",	0x541d},
+	{"asm/ioctls.h",	"TIOCGSERIAL",	0x541e},
+	{"asm/ioctls.h",	"TIOCSSERIAL",	0x541f},
+	{"asm/ioctls.h",	"TIOCPKT",	0x5420},
+	{"asm/ioctls.h",	"TIOCNOTTY",	0x5422},
+	{"asm/ioctls.h",	"TIOCSETD",	0x5423},
+	{"asm/ioctls.h",	"TIOCGETD",	0x5424},
+	{"asm/ioctls.h",	"TCSBRKP",	0x5425},
+	{"asm/ioctls.h",	"TIOCTTYGSTRUCT",	0x5426},
+	{"asm/ioctls.h",	"TIOCSBRK",	0x5427},
+	{"asm/ioctls.h",	"TIOCCBRK",	0x5428},
+	{"asm/ioctls.h",	"TIOCGSID",	0x5429},
+	{"asm/ioctls.h",	"TIOCGPTN",	0x5430},
+	{"asm/ioctls.h",	"TIOCSPTLCK",	0x5431},
+	{"asm/ioctls.h",	"TIOCSERCONFIG",	0x5453},
+	{"asm/ioctls.h",	"TIOCSERGWILD",	0x5454},
+	{"asm/ioctls.h",	"TIOCSERSWILD",	0x5455},
+	{"asm/ioctls.h",	"TIOCGLCKTRMIOS",	0x5456},
+	{"asm/ioctls.h",	"TIOCSLCKTRMIOS",	0x5457},
+	{"asm/ioctls.h",	"TIOCSERGSTRUCT",	0x5458},
+	{"asm/ioctls.h",	"TIOCSERGETLSR",	0x5459},
+	{"asm/ioctls.h",	"TIOCSERGETMULTI",	0x545a},
+	{"asm/ioctls.h",	"TIOCSERSETMULTI",	0x545b},
+	{"asm/ioctls.h",	"TIOCMIWAIT",	0x545c},
+	{"asm/ioctls.h",	"TIOCGICOUNT",	0x545d},
+	{"linux/if_tun.h",	"TUNSETNOCSUM",	0x54c8},
+	{"linux/if_tun.h",	"TUNSETDEBUG",	0x54c9},
+	{"linux/if_tun.h",	"TUNSETIFF",	0x54ca},
+	{"linux/if_tun.h",	"TUNSETPERSIST",	0x54cb},
+	{"linux/if_tun.h",	"TUNSETOWNER",	0x54cc},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_CONTROL",	0x5500},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_BULK",	0x5502},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_RESETEP",	0x5503},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_SETINTERFACE",	0x5504},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_SETCONFIGURATION",	0x5505},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_GETDRIVER",	0x5508},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_SUBMITURB",	0x550a},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_DISCARDURB",	0x550b},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_REAPURB",	0x550c},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_REAPURBNDELAY",	0x550d},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_DISCSIGNAL",	0x550e},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_CLAIMINTERFACE",	0x550f},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_RELEASEINTERFACE",	0x5510},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_CONNECTINFO",	0x5511},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_IOCTL",	0x5512},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_HUB_PORTINFO",	0x5513},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_RESET",	0x5514},
+	{"linux/usbdevice_fs.h",	"USBDEVFS_CLEAR_HALT",	0x5515},
+	{"linux/watchdog.h",	"WDIOC_GETSUPPORT",	0x5700},
+	{"linux/watchdog.h",	"WDIOC_GETSTATUS",	0x5701},
+	{"linux/watchdog.h",	"WDIOC_GETBOOTSTATUS",	0x5702},
+	{"linux/watchdog.h",	"WDIOC_GETTEMP",	0x5703},
+	{"linux/watchdog.h",	"WDIOC_SETOPTIONS",	0x5704},
+	{"linux/watchdog.h",	"WDIOC_KEEPALIVE",	0x5705},
+	{"linux/watchdog.h",	"WDIOC_SETTIMEOUT",	0x5706},
+	{"linux/ite_gpio.h",	"ITE_GPIO_IN",	0x5a00},
+	{"linux/ite_gpio.h",	"ITE_GPIO_OUT",	0x5a01},
+	{"linux/ite_gpio.h",	"ITE_GPIO_INT_CTRL",	0x5a02},
+	{"linux/ite_gpio.h",	"ITE_GPIO_IN_STATUS",	0x5a03},
+	{"linux/ite_gpio.h",	"ITE_GPIO_OUT_STATUS",	0x5a04},
+	{"linux/ite_gpio.h",	"ITE_GPIO_GEN_CTRL",	0x5a05},
+	{"linux/ite_gpio.h",	"ITE_GPIO_INT_WAIT",	0x5a06},
+	{"linux/sonet.h",	"SONET_GETSTAT",	0x6110},
+	{"linux/sonet.h",	"SONET_GETSTATZ",	0x6111},
+	{"linux/sonet.h",	"SONET_SETDIAG",	0x6112},
+	{"linux/sonet.h",	"SONET_CLRDIAG",	0x6113},
+	{"linux/sonet.h",	"SONET_GETDIAG",	0x6114},
+	{"linux/sonet.h",	"SONET_SETFRAMING",	0x6115},
+	{"linux/sonet.h",	"SONET_GETFRAMING",	0x6116},
+	{"linux/sonet.h",	"SONET_GETFRSENSE",	0x6117},
+	{"linux/atm_idt77105.h",	"IDT77105_GETSTAT",	0x6132},
+	{"linux/atm_idt77105.h",	"IDT77105_GETSTATZ",	0x6133},
+	{"linux/atmdev.h",	"ATM_GETSTAT",	0x6150},
+	{"linux/atmdev.h",	"ATM_GETSTATZ",	0x6151},
+	{"linux/atmdev.h",	"ATM_GETLOOP",	0x6152},
+	{"linux/atmdev.h",	"ATM_SETLOOP",	0x6153},
+	{"linux/atmdev.h",	"ATM_QUERYLOOP",	0x6154},
+	{"linux/atm_eni.h",	"ENI_MEMDUMP",	0x6160},
+	{"linux/atm_nicstar.h",	"NS_GETPSTAT",	0x6161},
+	{"linux/atm_zatm.h",	"ZATM_GETPOOL",	0x6161},
+	{"linux/atm_nicstar.h",	"NS_SETBUFLEV",	0x6162},
+	{"linux/atm_zatm.h",	"ZATM_GETPOOLZ",	0x6162},
+	{"linux/atm_nicstar.h",	"NS_ADJBUFLEV",	0x6163},
+	{"linux/atm_zatm.h",	"ZATM_SETPOOL",	0x6163},
+	{"linux/atm_zatm.h",	"ZATM_GETTHIST",	0x6164},
+	{"linux/atm_eni.h",	"ENI_SETMULT",	0x6167},
+	{"linux/atm_tcp.h",	"SIOCSIFATMTCP",	0x6180},
+	{"linux/atmdev.h",	"ATM_GETLINKRATE",	0x6181},
+	{"linux/atmdev.h",	"ATM_GETNAMES",	0x6183},
+	{"linux/atmdev.h",	"ATM_GETTYPE",	0x6184},
+	{"linux/atmdev.h",	"ATM_GETESI",	0x6185},
+	{"linux/atmdev.h",	"ATM_GETADDR",	0x6186},
+	{"linux/atmdev.h",	"ATM_RSTADDR",	0x6187},
+	{"linux/atmdev.h",	"ATM_ADDADDR",	0x6188},
+	{"linux/atmdev.h",	"ATM_DELADDR",	0x6189},
+	{"linux/atmdev.h",	"ATM_GETCIRANGE",	0x618a},
+	{"linux/atmdev.h",	"ATM_SETCIRANGE",	0x618b},
+	{"linux/atmdev.h",	"ATM_SETESI",	0x618c},
+	{"linux/atmdev.h",	"ATM_SETESIF",	0x618d},
+	{"linux/atm_tcp.h",	"ATMTCP_CREATE",	0x618e},
+	{"linux/atm_tcp.h",	"ATMTCP_REMOVE",	0x618f},
+	{"linux/atmlec.h",	"ATMLEC_CTRL",	0x61d0},
+	{"linux/atmlec.h",	"ATMLEC_DATA",	0x61d1},
+	{"linux/atmlec.h",	"ATMLEC_MCAST",	0x61d2},
+	{"linux/atmmpc.h",	"ATMMPC_CTRL",	0x61d8},
+	{"linux/atmmpc.h",	"ATMMPC_DATA",	0x61d9},
+	{"linux/atmclip.h",	"SIOCMKCLIP",	0x61e0},
+	{"linux/atmarp.h",	"ATMARPD_CTRL",	0x61e1},
+	{"linux/atmarp.h",	"ATMARP_MKIP",	0x61e2},
+	{"linux/atmarp.h",	"ATMARP_SETENTRY",	0x61e3},
+	{"linux/atmarp.h",	"ATMARP_ENCAP",	0x61e5},
+	{"linux/atmsvc.h",	"ATMSIGD_CTRL",	0x61f0},
+	{"linux/atmdev.h",	"ATM_SETSC",	0x61f1},
+	{"linux/atmdev.h",	"ATM_SETBACKEND",	0x61f2},
+	{"linux/coda.h",	"CIOC_KERNEL_VERSION",	0x630a},
+	{"linux/comstats.h",	"COM_GETPORTSTATS",	0x631e},
+	{"linux/comstats.h",	"COM_CLRPORTSTATS",	0x631f},
+	{"linux/comstats.h",	"COM_GETBRDSTATS",	0x6320},
+	{"linux/comstats.h",	"COM_READPORT",	0x6328},
+	{"linux/comstats.h",	"COM_READBOARD",	0x6329},
+	{"linux/comstats.h",	"COM_READPANEL",	0x632a},
+	{"linux/devfs_fs.h",	"DEVFSDIOC_GET_PROTO_REV",	0x6400},
+	{"linux/video_decoder.h",	"DECODER_GET_CAPABILITIES",	0x6401},
+	{"linux/devfs_fs.h",	"DEVFSDIOC_SET_EVENT_MASK",	0x6402},
+	{"linux/video_decoder.h",	"DECODER_GET_STATUS",	0x6402},
+	{"linux/devfs_fs.h",	"DEVFSDIOC_RELEASE_EVENT_QUEUE",	0x6403},
+	{"linux/video_decoder.h",	"DECODER_SET_NORM",	0x6403},
+	{"linux/devfs_fs.h",	"DEVFSDIOC_SET_DEBUG_MASK",	0x6404},
+	{"linux/video_decoder.h",	"DECODER_SET_INPUT",	0x6404},
+	{"linux/video_decoder.h",	"DECODER_SET_OUTPUT",	0x6405},
+	{"linux/video_decoder.h",	"DECODER_ENABLE_OUTPUT",	0x6406},
+	{"linux/video_decoder.h",	"DECODER_SET_PICTURE",	0x6407},
+	{"linux/video_decoder.h",	"DECODER_DUMP",	0x64c0},
+	{"linux/video_encoder.h",	"ENCODER_GET_CAPABILITIES",	0x6501},
+	{"linux/video_encoder.h",	"ENCODER_SET_NORM",	0x6502},
+	{"linux/video_encoder.h",	"ENCODER_SET_INPUT",	0x6503},
+	{"linux/video_encoder.h",	"ENCODER_SET_OUTPUT",	0x6504},
+	{"linux/video_encoder.h",	"ENCODER_ENABLE_OUTPUT",	0x6505},
+	{"linux/ext2_fs.h",	"EXT2_IOC_GETFLAGS",	0x6601},
+	{"linux/ext3_fs.h",	"EXT3_IOC_GETFLAGS",	0x6601},
+	{"asm/ioctls.h",	"FIOCLEX",	0x6601},
+	{"linux/ext2_fs.h",	"EXT2_IOC_SETFLAGS",	0x6602},
+	{"linux/ext3_fs.h",	"EXT3_IOC_SETFLAGS",	0x6602},
+	{"asm/ioctls.h",	"FIONCLEX",	0x6602},
+	{"linux/ext3_fs.h",	"EXT3_IOC_GETVERSION",	0x6603},
+	{"linux/ext3_fs.h",	"EXT3_IOC_SETVERSION",	0x6604},
+	{"linux/ext3_fs.h",	"EXT3_IOC_WAIT_FOR_READONLY",	0x6663},
+	{"asm/sockios.h",	"FIOGETOWN",	0x667b},
+	{"asm/sockios.h",	"FIOSETOWN",	0x667c},
+	{"asm/ioctls.h",	"FIOASYNC",	0x667d},
+	{"asm/ioctls.h",	"FIONBIO",	0x667e},
+	{"asm/ioctls.h",	"FIONREAD",	0x667f},
+	{"linux/i2o-dev.h",	"I2OGETIOPS",	0x6900},
+	{"linux/i2o-dev.h",	"I2OHRTGET",	0x6901},
+	{"linux/i2o-dev.h",	"I2OLCTGET",	0x6902},
+	{"linux/i2o-dev.h",	"I2OPARMSET",	0x6903},
+	{"linux/i2o-dev.h",	"I2OPARMGET",	0x6904},
+	{"linux/i2o-dev.h",	"I2OSWDL",	0x6905},
+	{"linux/i2o-dev.h",	"I2OSWUL",	0x6906},
+	{"linux/i2o-dev.h",	"I2OSWDEL",	0x6907},
+	{"linux/i2o-dev.h",	"I2OVALIDATE",	0x6908},
+	{"linux/i2o-dev.h",	"I2OHTML",	0x6909},
+	{"linux/i2o-dev.h",	"I2OEVTREG",	0x690a},
+	{"linux/i2o-dev.h",	"I2OEVTGET",	0x690b},
+	{"linux/i8k.h",	"I8K_BIOS_VERSION",	0x6980},
+	{"linux/i8k.h",	"I8K_MACHINE_ID",	0x6981},
+	{"linux/i8k.h",	"I8K_POWER_STATUS",	0x6982},
+	{"linux/i8k.h",	"I8K_FN_STATUS",	0x6983},
+	{"linux/i8k.h",	"I8K_GET_TEMP",	0x6984},
+	{"linux/i8k.h",	"I8K_GET_SPEED",	0x6985},
+	{"linux/i8k.h",	"I8K_GET_FAN",	0x6986},
+	{"linux/i8k.h",	"I8K_SET_FAN",	0x6987},
+	{"linux/joystick.h",	"JSIOCGVERSION",	0x6a01},
+	{"linux/joystick.h",	"JSIOCGAXES",	0x6a11},
+	{"linux/joystick.h",	"JSIOCGBUTTONS",	0x6a12},
+	{"linux/joystick.h",	"JSIOCSCORR",	0x6a21},
+	{"linux/joystick.h",	"JSIOCGCORR",	0x6a22},
+	{"linux/joystick.h",	"JSIOCSAXMAP",	0x6a31},
+	{"linux/joystick.h",	"JSIOCGAXMAP",	0x6a32},
+	{"linux/joystick.h",	"JSIOCSBTNMAP",	0x6a33},
+	{"linux/joystick.h",	"JSIOCGBTNMAP",	0x6a34},
+	{"linux/udf_fs_i.h",	"UDF_GETEASIZE",	0x6c40},
+	{"linux/udf_fs_i.h",	"UDF_GETEABLOCK",	0x6c41},
+	{"linux/udf_fs_i.h",	"UDF_GETVOLIDENT",	0x6c42},
+	{"linux/udf_fs_i.h",	"UDF_RELOCATE_BLOCKS",	0x6c43},
+	{"linux/soundcard.h",	"SNDCTL_MIDI_PRETIME",	0x6d00},
+	{"linux/synclink.h",	"MGSL_IOCSPARAMS",	0x6d00},
+	{"linux/mtio.h",	"MTIOCTOP",	0x6d01},
+	{"linux/soundcard.h",	"SNDCTL_MIDI_MPUMODE",	0x6d01},
+	{"linux/synclink.h",	"MGSL_IOCGPARAMS",	0x6d01},
+	{"linux/mtio.h",	"MTIOCGET",	0x6d02},
+	{"linux/soundcard.h",	"SNDCTL_MIDI_MPUCMD",	0x6d02},
+	{"linux/synclink.h",	"MGSL_IOCSTXIDLE",	0x6d02},
+	{"linux/mtio.h",	"MTIOCPOS",	0x6d03},
+	{"linux/synclink.h",	"MGSL_IOCGTXIDLE",	0x6d03},
+	{"linux/mtio.h",	"MTIOCGETCONFIG",	0x6d04},
+	{"linux/synclink.h",	"MGSL_IOCTXENABLE",	0x6d04},
+	{"linux/mtio.h",	"MTIOCSETCONFIG",	0x6d05},
+	{"linux/synclink.h",	"MGSL_IOCRXENABLE",	0x6d05},
+	{"linux/mtio.h",	"MTIOCRDFTSEG",	0x6d06},
+	{"linux/synclink.h",	"MGSL_IOCTXABORT",	0x6d06},
+	{"linux/mtio.h",	"MTIOCWRFTSEG",	0x6d07},
+	{"linux/synclink.h",	"MGSL_IOCGSTATS",	0x6d07},
+	{"linux/mtio.h",	"MTIOCVOLINFO",	0x6d08},
+	{"linux/synclink.h",	"MGSL_IOCWAITEVENT",	0x6d08},
+	{"linux/mtio.h",	"MTIOCGETSIZE",	0x6d09},
+	{"linux/synclink.h",	"MGSL_IOCLOOPTXDONE",	0x6d09},
+	{"linux/mtio.h",	"MTIOCFTFORMAT",	0x6d0a},
+	{"linux/mtio.h",	"MTIOCFTCMD",	0x6d0b},
+	{"linux/synclink.h",	"MGSL_IOCCLRMODCOUNT",	0x6d0f},
+	{"linux/zftape.h",	"MTIOC_ZFTAPE_GETBLKSZ",	0x6d68},
+	{"linux/ncp_fs.h",	"NCP_IOC_NCPREQUEST",	0x6e01},
+	{"linux/ncp_fs.h",	"NCP_IOC_GETMOUNTUID",	0x6e02},
+	{"linux/ncp_fs.h",	"NCP_IOC_GETMOUNTUID2",	0x6e02},
+	{"linux/ncp_fs.h",	"NCP_IOC_CONN_LOGGED_IN",	0x6e03},
+	{"linux/ncp_fs.h",	"NCP_IOC_GET_FS_INFO",	0x6e04},
+	{"linux/ncp_fs.h",	"NCP_IOC_GET_FS_INFO_V2",	0x6e04},
+	{"linux/ncp_fs.h",	"NCP_IOC_SIGN_INIT",	0x6e05},
+	{"linux/ncp_fs.h",	"NCP_IOC_SIGN_WANTED",	0x6e06},
+	{"linux/ncp_fs.h",	"NCP_IOC_SET_SIGN_WANTED",	0x6e06},
+	{"linux/ncp_fs.h",	"NCP_IOC_LOCKUNLOCK",	0x6e07},
+	{"linux/ncp_fs.h",	"NCP_IOC_GETROOT",	0x6e08},
+	{"linux/ncp_fs.h",	"NCP_IOC_SETROOT",	0x6e08},
+	{"linux/ncp_fs.h",	"NCP_IOC_GETOBJECTNAME",	0x6e09},
+	{"linux/ncp_fs.h",	"NCP_IOC_SETOBJECTNAME",	0x6e09},
+	{"linux/ncp_fs.h",	"NCP_IOC_GETPRIVATEDATA",	0x6e0a},
+	{"linux/ncp_fs.h",	"NCP_IOC_SETPRIVATEDATA",	0x6e0a},
+	{"linux/ncp_fs.h",	"NCP_IOC_GETCHARSETS",	0x6e0b},
+	{"linux/ncp_fs.h",	"NCP_IOC_SETCHARSETS",	0x6e0b},
+	{"linux/ncp_fs.h",	"NCP_IOC_GETDENTRYTTL",	0x6e0c},
+	{"linux/ncp_fs.h",	"NCP_IOC_SETDENTRYTTL",	0x6e0c},
+	{"linux/matroxfb.h",	"MATROXFB_SET_OUTPUT_CONNECTION",	0x6ef8},
+	{"linux/matroxfb.h",	"MATROXFB_GET_OUTPUT_CONNECTION",	0x6ef8},
+	{"linux/matroxfb.h",	"MATROXFB_GET_AVAILABLE_OUTPUTS",	0x6ef9},
+	{"linux/matroxfb.h",	"MATROXFB_SET_OUTPUT_MODE",	0x6efa},
+	{"linux/matroxfb.h",	"MATROXFB_GET_OUTPUT_MODE",	0x6efa},
+	{"linux/matroxfb.h",	"MATROXFB_GET_ALL_OUTPUTS",	0x6efb},
+	{"linux/rtc.h",	"RTC_AIE_ON",	0x7001},
+	{"linux/rtc.h",	"RTC_AIE_OFF",	0x7002},
+	{"linux/intermezzo_fs.h",	"PRESTO_GETMOUNT",	0x7003},
+	{"linux/rtc.h",	"RTC_UIE_ON",	0x7003},
+	{"linux/intermezzo_fs.h",	"PRESTO_SETPID",	0x7004},
+	{"linux/rtc.h",	"RTC_UIE_OFF",	0x7004},
+	{"linux/rtc.h",	"RTC_PIE_ON",	0x7005},
+	{"linux/intermezzo_fs.h",	"PRESTO_CLOSE_JOURNALF",	0x7006},
+	{"linux/rtc.h",	"RTC_PIE_OFF",	0x7006},
+	{"linux/intermezzo_fs.h",	"PRESTO_SET_FSETROOT",	0x7007},
+	{"linux/rtc.h",	"RTC_ALM_SET",	0x7007},
+	{"linux/intermezzo_fs.h",	"PRESTO_CLEAR_FSETROOT",	0x7008},
+	{"linux/rtc.h",	"RTC_ALM_READ",	0x7008},
+	{"linux/intermezzo_fs.h",	"PRESTO_SETOPT",	0x7009},
+	{"linux/rtc.h",	"RTC_RD_TIME",	0x7009},
+	{"linux/intermezzo_fs.h",	"PRESTO_GETOPT",	0x700a},
+	{"linux/rtc.h",	"RTC_SET_TIME",	0x700a},
+	{"linux/intermezzo_fs.h",	"PRESTO_GET_KMLSIZE",	0x700b},
+	{"linux/rtc.h",	"RTC_IRQP_READ",	0x700b},
+	{"linux/intermezzo_fs.h",	"PRESTO_GET_RECNO",	0x700c},
+	{"linux/rtc.h",	"RTC_IRQP_SET",	0x700c},
+	{"linux/rtc.h",	"RTC_EPOCH_READ",	0x700d},
+	{"linux/rtc.h",	"RTC_EPOCH_SET",	0x700e},
+	{"linux/rtc.h",	"RTC_WIE_ON",	0x700f},
+	{"linux/rtc.h",	"RTC_WKALM_SET",	0x700f},
+	{"linux/intermezzo_fs.h",	"PRESTO_VFS_SETATTR",	0x7010},
+	{"linux/rtc.h",	"RTC_WIE_OFF",	0x7010},
+	{"linux/rtc.h",	"RTC_WKALM_RD",	0x7010},
+	{"linux/intermezzo_fs.h",	"PRESTO_VFS_CREATE",	0x7011},
+	{"linux/intermezzo_fs.h",	"PRESTO_VFS_LINK",	0x7012},
+	{"linux/intermezzo_fs.h",	"PRESTO_VFS_UNLINK",	0x7013},
+	{"linux/intermezzo_fs.h",	"PRESTO_VFS_SYMLINK",	0x7014},
+	{"linux/intermezzo_fs.h",	"PRESTO_VFS_MKDIR",	0x7015},
+	{"linux/intermezzo_fs.h",	"PRESTO_VFS_RMDIR",	0x7016},
+	{"linux/intermezzo_fs.h",	"PRESTO_VFS_MKNOD",	0x7017},
+	{"linux/intermezzo_fs.h",	"PRESTO_VFS_RENAME",	0x7018},
+	{"linux/intermezzo_fs.h",	"PRESTO_VFS_CLOSE",	0x701a},
+	{"linux/intermezzo_fs.h",	"PRESTO_VFS_IOPEN",	0x701b},
+	{"linux/intermezzo_fs.h",	"PRESTO_VFS_SETEXTATTR",	0x701c},
+	{"linux/intermezzo_fs.h",	"PRESTO_VFS_DELEXTATTR",	0x701d},
+	{"linux/intermezzo_fs.h",	"PRESTO_MARK",	0x7020},
+	{"linux/intermezzo_fs.h",	"PRESTO_RELEASE_PERMIT",	0x7021},
+	{"linux/intermezzo_fs.h",	"PRESTO_CLEAR_ALL_FSETROOTS",	0x7022},
+	{"linux/intermezzo_fs.h",	"PRESTO_BACKFETCH_LML",	0x7023},
+	{"linux/intermezzo_fs.h",	"PRESTO_REINT",	0x7024},
+	{"linux/intermezzo_fs.h",	"PRESTO_CANCEL_LML",	0x7025},
+	{"linux/intermezzo_fs.h",	"PRESTO_RESET_FSET",	0x7026},
+	{"linux/intermezzo_fs.h",	"PRESTO_COMPLETE_CLOSES",	0x7027},
+	{"linux/intermezzo_fs.h",	"PRESTO_REINT_BEGIN",	0x7030},
+	{"linux/intermezzo_fs.h",	"PRESTO_DO_REINT",	0x7031},
+	{"linux/intermezzo_fs.h",	"PRESTO_REINT_END",	0x7032},
+	{"linux/nvram.h",	"NVRAM_INIT",	0x7040},
+	{"linux/nvram.h",	"NVRAM_SETCKS",	0x7041},
+	{"linux/ppdev.h",	"PPSETMODE",	0x7080},
+	{"linux/ppdev.h",	"PPRSTATUS",	0x7081},
+	{"linux/ppdev.h",	"PPRCONTROL",	0x7083},
+	{"linux/ppdev.h",	"PPWCONTROL",	0x7084},
+	{"linux/ppdev.h",	"PPRDATA",	0x7085},
+	{"linux/ppdev.h",	"PPWDATA",	0x7086},
+	{"linux/ppdev.h",	"PPCLAIM",	0x708b},
+	{"linux/ppdev.h",	"PPRELEASE",	0x708c},
+	{"linux/ppdev.h",	"PPYIELD",	0x708d},
+	{"linux/ppdev.h",	"PPFCONTROL",	0x708e},
+	{"linux/ppdev.h",	"PPEXCL",	0x708f},
+	{"linux/ppdev.h",	"PPDATADIR",	0x7090},
+	{"linux/ppdev.h",	"PPNEGOT",	0x7091},
+	{"linux/ppdev.h",	"PPWCTLONIRQ",	0x7092},
+	{"linux/ppdev.h",	"PPCLRIRQ",	0x7093},
+	{"linux/ppdev.h",	"PPSETPHASE",	0x7094},
+	{"linux/ppdev.h",	"PPGETTIME",	0x7095},
+	{"linux/ppdev.h",	"PPSETTIME",	0x7096},
+	{"linux/ppdev.h",	"PPGETMODES",	0x7097},
+	{"linux/ppdev.h",	"PPGETMODE",	0x7098},
+	{"linux/ppdev.h",	"PPGETPHASE",	0x7099},
+	{"linux/ppdev.h",	"PPGETFLAGS",	0x709a},
+	{"linux/ppdev.h",	"PPSETFLAGS",	0x709b},
+	{"linux/serio.h",	"SPIOCSTYPE",	0x7101},
+	{"linux/telephony.h",	"PHONE_CAPABILITIES",	0x7180},
+	{"linux/telephony.h",	"PHONE_CAPABILITIES_LIST",	0x7181},
+	{"linux/telephony.h",	"PHONE_CAPABILITIES_CHECK",	0x7182},
+	{"linux/telephony.h",	"PHONE_RING",	0x7183},
+	{"linux/telephony.h",	"PHONE_HOOKSTATE",	0x7184},
+	{"linux/telephony.h",	"PHONE_MAXRINGS",	0x7185},
+	{"linux/telephony.h",	"PHONE_RING_CADENCE",	0x7186},
+	{"linux/telephony.h",	"OLD_PHONE_RING_START",	0x7187},
+	{"linux/telephony.h",	"PHONE_RING_START",	0x7187},
+	{"linux/telephony.h",	"PHONE_RING_STOP",	0x7188},
+	{"linux/telephony.h",	"PHONE_REC_CODEC",	0x7189},
+	{"linux/telephony.h",	"PHONE_REC_START",	0x718a},
+	{"linux/telephony.h",	"PHONE_REC_STOP",	0x718b},
+	{"linux/telephony.h",	"PHONE_REC_DEPTH",	0x718c},
+	{"linux/telephony.h",	"PHONE_FRAME",	0x718d},
+	{"linux/telephony.h",	"PHONE_REC_VOLUME",	0x718e},
+	{"linux/telephony.h",	"PHONE_REC_LEVEL",	0x718f},
+	{"linux/telephony.h",	"PHONE_PLAY_CODEC",	0x7190},
+	{"linux/telephony.h",	"PHONE_PLAY_START",	0x7191},
+	{"linux/telephony.h",	"PHONE_PLAY_STOP",	0x7192},
+	{"linux/telephony.h",	"PHONE_PLAY_DEPTH",	0x7193},
+	{"linux/telephony.h",	"PHONE_PLAY_VOLUME",	0x7194},
+	{"linux/telephony.h",	"PHONE_PLAY_LEVEL",	0x7195},
+	{"linux/telephony.h",	"PHONE_DTMF_READY",	0x7196},
+	{"linux/telephony.h",	"PHONE_GET_DTMF",	0x7197},
+	{"linux/telephony.h",	"PHONE_GET_DTMF_ASCII",	0x7198},
+	{"linux/telephony.h",	"PHONE_DTMF_OOB",	0x7199},
+	{"linux/telephony.h",	"PHONE_EXCEPTION",	0x719a},
+	{"linux/telephony.h",	"PHONE_PLAY_TONE",	0x719b},
+	{"linux/telephony.h",	"PHONE_SET_TONE_ON_TIME",	0x719c},
+	{"linux/telephony.h",	"PHONE_SET_TONE_OFF_TIME",	0x719d},
+	{"linux/telephony.h",	"PHONE_GET_TONE_ON_TIME",	0x719e},
+	{"linux/telephony.h",	"PHONE_GET_TONE_OFF_TIME",	0x719f},
+	{"linux/telephony.h",	"PHONE_GET_TONE_STATE",	0x71a0},
+	{"linux/telephony.h",	"PHONE_BUSY",	0x71a1},
+	{"linux/telephony.h",	"PHONE_RINGBACK",	0x71a2},
+	{"linux/telephony.h",	"PHONE_DIALTONE",	0x71a3},
+	{"linux/telephony.h",	"PHONE_CPT_STOP",	0x71a4},
+	{"linux/telephony.h",	"PHONE_PSTN_SET_STATE",	0x71a4},
+	{"linux/telephony.h",	"PHONE_PSTN_GET_STATE",	0x71a5},
+	{"linux/telephony.h",	"PHONE_WINK_DURATION",	0x71a6},
+	{"linux/telephony.h",	"PHONE_QUERY_CODEC",	0x71a7},
+	{"linux/telephony.h",	"PHONE_PSTN_LINETEST",	0x71a8},
+	{"linux/telephony.h",	"PHONE_VAD",	0x71a9},
+	{"linux/telephony.h",	"PHONE_WINK",	0x71aa},
+	{"linux/ixjuser.h",	"IXJCTL_DSP_RESET",	0x71c0},
+	{"linux/ixjuser.h",	"IXJCTL_CARDTYPE",	0x71c1},
+	{"linux/ixjuser.h",	"IXJCTL_SERIAL",	0x71c2},
+	{"linux/ixjuser.h",	"IXJCTL_DSP_TYPE",	0x71c3},
+	{"linux/ixjuser.h",	"IXJCTL_DSP_VERSION",	0x71c4},
+	{"linux/ixjuser.h",	"IXJCTL_DSP_IDLE",	0x71c5},
+	{"linux/ixjuser.h",	"IXJCTL_TESTRAM",	0x71c6},
+	{"linux/ixjuser.h",	"IXJCTL_SET_FILTER",	0x71c7},
+	{"linux/ixjuser.h",	"IXJCTL_GET_FILTER_HIST",	0x71c8},
+	{"linux/ixjuser.h",	"IXJCTL_INIT_TONE",	0x71c9},
+	{"linux/ixjuser.h",	"IXJCTL_TONE_CADENCE",	0x71ca},
+	{"linux/ixjuser.h",	"IXJCTL_AEC_START",	0x71cb},
+	{"linux/ixjuser.h",	"IXJCTL_AEC_STOP",	0x71cc},
+	{"linux/ixjuser.h",	"IXJCTL_AEC_GET_LEVEL",	0x71cd},
+	{"linux/ixjuser.h",	"IXJCTL_SET_LED",	0x71ce},
+	{"linux/ixjuser.h",	"IXJCTL_MIXER",	0x71cf},
+	{"linux/ixjuser.h",	"IXJCTL_DAA_COEFF_SET",	0x71d0},
+	{"linux/ixjuser.h",	"IXJCTL_PORT",	0x71d1},
+	{"linux/ixjuser.h",	"IXJCTL_DAA_AGAIN",	0x71d2},
+	{"linux/ixjuser.h",	"IXJCTL_PSTN_LINETEST",	0x71d3},
+	{"linux/ixjuser.h",	"IXJCTL_CID",	0x71d4},
+	{"linux/ixjuser.h",	"IXJCTL_POTS_PSTN",	0x71d5},
+	{"linux/ixjuser.h",	"IXJCTL_FILTER_CADENCE",	0x71d6},
+	{"linux/ixjuser.h",	"IXJCTL_PLAY_CID",	0x71d7},
+	{"linux/ixjuser.h",	"IXJCTL_VMWI",	0x71d8},
+	{"linux/ixjuser.h",	"IXJCTL_CIDCW",	0x71d9},
+	{"linux/ixjuser.h",	"IXJCTL_VERSION",	0x71da},
+	{"linux/telephony.h",	"PHONE_REC_VOLUME_LINEAR",	0x71db},
+	{"linux/telephony.h",	"PHONE_PLAY_VOLUME_LINEAR",	0x71dc},
+	{"linux/ixjuser.h",	"IXJCTL_SET_FILTER_RAW",	0x71dd},
+	{"linux/ixjuser.h",	"IXJCTL_HZ",	0x71e0},
+	{"linux/ixjuser.h",	"IXJCTL_RATE",	0x71e1},
+	{"linux/ixjuser.h",	"IXJCTL_FRAMES_READ",	0x71e2},
+	{"linux/ixjuser.h",	"IXJCTL_FRAMES_WRITTEN",	0x71e3},
+	{"linux/ixjuser.h",	"IXJCTL_READ_WAIT",	0x71e4},
+	{"linux/ixjuser.h",	"IXJCTL_WRITE_WAIT",	0x71e5},
+	{"linux/ixjuser.h",	"IXJCTL_DRYBUFFER_READ",	0x71e6},
+	{"linux/ixjuser.h",	"IXJCTL_DRYBUFFER_CLEAR",	0x71e7},
+	{"linux/ixjuser.h",	"IXJCTL_DTMF_PRESCALE",	0x71e8},
+	{"linux/ixjuser.h",	"IXJCTL_SIGCTL",	0x71e9},
+	{"linux/ixjuser.h",	"IXJCTL_SC_RXG",	0x71ea},
+	{"linux/ixjuser.h",	"IXJCTL_SC_TXG",	0x71eb},
+	{"linux/ixjuser.h",	"IXJCTL_INTERCOM_START",	0x71fd},
+	{"linux/ixjuser.h",	"IXJCTL_INTERCOM_STOP",	0x71fe},
+	{"linux/msdos_fs.h",	"VFAT_IOCTL_READDIR_BOTH",	0x7201},
+	{"linux/msdos_fs.h",	"VFAT_IOCTL_READDIR_SHORT",	0x7202},
+	{"asm/sockios.h",	"SIOCATMARK",	0x7307},
+	{"asm/sockios.h",	"SIOCSPGRP",	0x7308},
+	{"asm/sockios.h",	"SIOCGPGRP",	0x7309},
+	{"linux/cdk.h",	"STL_BINTR",	0x7314},
+	{"linux/cdk.h",	"STL_BSTART",	0x7315},
+	{"linux/cdk.h",	"STL_BSTOP",	0x7316},
+	{"linux/cdk.h",	"STL_BRESET",	0x7317},
+	{"linux/cdk.h",	"STL_GETPFLAG",	0x7350},
+	{"linux/cdk.h",	"STL_SETPFLAG",	0x7351},
+	{"asm/sockios.h",	"SIOCGSTAMP",	0x7364},
+	{"asm/ioctls.h",	"TCGETA",	0x7417},
+	{"asm/ioctls.h",	"TCSETA",	0x7418},
+	{"asm/ioctls.h",	"TCSETAW",	0x7419},
+	{"asm/ioctls.h",	"TCSETAF",	0x741c},
+	{"asm/ioctls.h",	"TCSBRK",	0x741d},
+	{"asm/ioctls.h",	"TCXONC",	0x741e},
+	{"asm/ioctls.h",	"TCFLSH",	0x741f},
+	{"linux/if_ppp.h",	"PPPIOCGCHAN",	0x7437},
+	{"linux/if_ppp.h",	"PPPIOCATTCHAN",	0x7438},
+	{"linux/if_ppp.h",	"PPPIOCDISCONN",	0x7439},
+	{"linux/if_ppp.h",	"PPPIOCCONNECT",	0x743a},
+	{"linux/if_ppp.h",	"PPPIOCSMRRU",	0x743b},
+	{"linux/if_ppp.h",	"PPPIOCDETACH",	0x743c},
+	{"linux/if_ppp.h",	"PPPIOCATTACH",	0x743d},
+	{"linux/if_ppp.h",	"PPPIOCNEWUNIT",	0x743e},
+	{"linux/if_ppp.h",	"PPPIOCGIDLE",	0x743f},
+	{"linux/if_ppp.h",	"PPPIOCSDEBUG",	0x7440},
+	{"linux/if_ppp.h",	"PPPIOCGDEBUG",	0x7441},
+	{"linux/if_ppp.h",	"PPPIOCSACTIVE",	0x7446},
+	{"linux/if_ppp.h",	"PPPIOCSPASS",	0x7447},
+	{"linux/if_ppp.h",	"PPPIOCSNPMODE",	0x744b},
+	{"linux/if_ppp.h",	"PPPIOCGNPMODE",	0x744c},
+	{"linux/if_ppp.h",	"PPPIOCSCOMPRESS",	0x744d},
+	{"linux/if_ppp.h",	"PPPIOCXFERUNIT",	0x744e},
+	{"linux/if_ppp.h",	"PPPIOCSXASYNCMAP",	0x744f},
+	{"linux/if_ppp.h",	"PPPIOCGXASYNCMAP",	0x7450},
+	{"linux/if_ppp.h",	"PPPIOCSMAXCID",	0x7451},
+	{"linux/if_ppp.h",	"PPPIOCSMRU",	0x7452},
+	{"linux/if_ppp.h",	"PPPIOCGMRU",	0x7453},
+	{"linux/if_ppp.h",	"PPPIOCSRASYNCMAP",	0x7454},
+	{"linux/if_ppp.h",	"PPPIOCGRASYNCMAP",	0x7455},
+	{"linux/if_ppp.h",	"PPPIOCGUNIT",	0x7456},
+	{"linux/if_ppp.h",	"PPPIOCSASYNCMAP",	0x7457},
+	{"linux/if_ppp.h",	"PPPIOCGASYNCMAP",	0x7458},
+	{"linux/if_ppp.h",	"PPPIOCSFLAGS",	0x7459},
+	{"linux/if_ppp.h",	"PPPIOCGFLAGS",	0x745a},
+	{"linux/jffs.h",	"JFFS_PRINT_HASH",	0x745a},
+	{"linux/jffs.h",	"JFFS_PRINT_TREE",	0x745b},
+	{"linux/jffs.h",	"JFFS_GET_STATUS",	0x745c},
+	{"asm/ioctls.h",	"TIOCSWINSZ",	0x7467},
+	{"asm/ioctls.h",	"TIOCGWINSZ",	0x7468},
+	{"asm/ioctls.h",	"TIOCSTART",	0x746e},
+	{"asm/ioctls.h",	"TIOCSTOP",	0x746f},
+	{"asm/ioctls.h",	"TIOCOUTQ",	0x7473},
+	{"asm/ioctls.h",	"TIOCSPGRP",	0x7476},
+	{"asm/ioctls.h",	"TIOCGPGRP",	0x7477},
+	{"linux/isdn_ppp.h",	"PPPIOCGCALLINFO",	0x7480},
+	{"linux/isdn_ppp.h",	"PPPIOCBUNDLE",	0x7481},
+	{"linux/isdn_ppp.h",	"PPPIOCGMPFLAGS",	0x7482},
+	{"linux/isdn_ppp.h",	"PPPIOCSMPFLAGS",	0x7483},
+	{"linux/isdn_ppp.h",	"PPPIOCSMPMTU",	0x7484},
+	{"linux/isdn_ppp.h",	"PPPIOCSMPMRU",	0x7485},
+	{"linux/isdn_ppp.h",	"PPPIOCGCOMPRESSORS",	0x7486},
+	{"linux/isdn_ppp.h",	"PPPIOCSCOMPRESSOR",	0x7487},
+	{"linux/isdn_ppp.h",	"PPPIOCGIFNAME",	0x7488},
+	{"linux/toshiba.h",	"TOSH_SMM",	0x7490},
+	{"linux/smb_fs.h",	"SMB_IOC_GETMOUNTUID",	0x7501},
+	{"linux/smb_fs.h",	"SMB_IOC_NEWCONN",	0x7502},
+	{"linux/smb_fs.h",	"SMB_IOC_GETMOUNTUID32",	0x7503},
+	{"linux/sonypi.h",	"SONYPI_IOCGBRT",	0x7600},
+	{"linux/sonypi.h",	"SONYPI_IOCSBRT",	0x7600},
+	{"linux/ext2_fs.h",	"EXT2_IOC_GETVERSION",	0x7601},
+	{"linux/ext3_fs.h",	"EXT3_IOC_GETVERSION_OLD",	0x7601},
+	{"linux/videodev.h",	"VIDIOCGCAP",	0x7601},
+	{"linux/ext2_fs.h",	"EXT2_IOC_SETVERSION",	0x7602},
+	{"linux/ext3_fs.h",	"EXT3_IOC_SETVERSION_OLD",	0x7602},
+	{"linux/videodev.h",	"VIDIOCGCHAN",	0x7602},
+	{"linux/videodev.h",	"VIDIOCSCHAN",	0x7603},
+	{"linux/videodev.h",	"VIDIOCGTUNER",	0x7604},
+	{"linux/videodev.h",	"VIDIOCSTUNER",	0x7605},
+	{"linux/videodev.h",	"VIDIOCGPICT",	0x7606},
+	{"linux/videodev.h",	"VIDIOCSPICT",	0x7607},
+	{"linux/videodev.h",	"VIDIOCCAPTURE",	0x7608},
+	{"linux/videodev.h",	"VIDIOCGWIN",	0x7609},
+	{"linux/videodev.h",	"VIDIOCSWIN",	0x760a},
+	{"linux/videodev.h",	"VIDIOCGFBUF",	0x760b},
+	{"linux/videodev.h",	"VIDIOCSFBUF",	0x760c},
+	{"linux/videodev.h",	"VIDIOCKEY",	0x760d},
+	{"linux/videodev.h",	"VIDIOCGFREQ",	0x760e},
+	{"linux/videodev.h",	"VIDIOCSFREQ",	0x760f},
+	{"linux/videodev.h",	"VIDIOCGAUDIO",	0x7610},
+	{"linux/videodev.h",	"VIDIOCSAUDIO",	0x7611},
+	{"linux/videodev.h",	"VIDIOCSYNC",	0x7612},
+	{"linux/videodev.h",	"VIDIOCMCAPTURE",	0x7613},
+	{"linux/videodev.h",	"VIDIOCGMBUF",	0x7614},
+	{"linux/videodev.h",	"VIDIOCGUNIT",	0x7615},
+	{"linux/videodev.h",	"VIDIOCGCAPTURE",	0x7616},
+	{"linux/videodev.h",	"VIDIOCSCAPTURE",	0x7617},
+	{"linux/videodev.h",	"VIDIOCSPLAYMODE",	0x7618},
+	{"linux/videodev.h",	"VIDIOCSWRITEMODE",	0x7619},
+	{"linux/videodev.h",	"VIDIOCGPLAYINFO",	0x761a},
+	{"linux/videodev.h",	"VIDIOCSMICROCODE",	0x761b},
+	{"linux/videodev.h",	"VIDIOCGVBIFMT",	0x761c},
+	{"linux/videodev.h",	"VIDIOCSVBIFMT",	0x761d},
+	{"linux/meye.h",	"MEYEIOC_G_PARAMS",	0x76c0},
+	{"linux/meye.h",	"MEYEIOC_S_PARAMS",	0x76c1},
+	{"linux/meye.h",	"MEYEIOC_QBUF_CAPT",	0x76c2},
+	{"linux/meye.h",	"MEYEIOC_SYNC",	0x76c3},
+	{"linux/meye.h",	"MEYEIOC_STILLCAPT",	0x76c4},
+	{"linux/meye.h",	"MEYEIOC_STILLJCAPT",	0x76c5},
+	{"linux/dn.h",	"SIOCSNETADDR",	0x89e0},
+	{"linux/dn.h",	"OSIOCSNETADDR",	0x89e0},
+	{"linux/dn.h",	"SIOCGNETADDR",	0x89e1},
+	{"linux/dn.h",	"OSIOCGNETADDR",	0x89e1},
+	{"linux/auto_fs.h",	"AUTOFS_IOC_READY",	0x9360},
+	{"linux/auto_fs.h",	"AUTOFS_IOC_FAIL",	0x9361},
+	{"linux/auto_fs.h",	"AUTOFS_IOC_CATATONIC",	0x9362},
+	{"linux/auto_fs.h",	"AUTOFS_IOC_PROTOVER",	0x9363},
+	{"linux/auto_fs.h",	"AUTOFS_IOC_SETTIMEOUT",	0x9364},
+	{"linux/auto_fs.h",	"AUTOFS_IOC_EXPIRE",	0x9365},
+	{"linux/auto_fs4.h",	"AUTOFS_IOC_EXPIRE_MULTI",	0x9366},
+	{"linux/nbd.h",	"NBD_SET_SOCK",	0xab00},
+	{"linux/nbd.h",	"NBD_SET_BLKSIZE",	0xab01},
+	{"linux/nbd.h",	"NBD_SET_SIZE",	0xab02},
+	{"linux/nbd.h",	"NBD_DO_IT",	0xab03},
+	{"linux/nbd.h",	"NBD_CLEAR_SOCK",	0xab04},
+	{"linux/nbd.h",	"NBD_CLEAR_QUE",	0xab05},
+	{"linux/nbd.h",	"NBD_PRINT_DEBUG",	0xab06},
+	{"linux/nbd.h",	"NBD_SET_SIZE_BLOCKS",	0xab07},
+	{"linux/nbd.h",	"NBD_DISCONNECT",	0xab08},
+	{"linux/raw.h",	"RAW_SETBIND",	0xac00},
+	{"linux/raw.h",	"RAW_GETBIND",	0xac01},
+	{"linux/if_pppox.h",	"PPPOEIOCSFWD",	0xb100},
+	{"linux/if_pppox.h",	"PPPOEIOCDFWD",	0xb101},
+	{"linux/reiserfs_fs.h",	"REISERFS_IOC_UNPACK",	0xcd01},
+	{"linux/lvm.h",	"VG_CREATE_OLD",	0xfe00},
+	{"linux/lvm.h",	"VG_REMOVE",	0xfe01},
+	{"linux/lvm.h",	"VG_EXTEND",	0xfe03},
+	{"linux/lvm.h",	"VG_REDUCE",	0xfe04},
+	{"linux/lvm.h",	"VG_STATUS",	0xfe05},
+	{"linux/lvm.h",	"VG_STATUS_GET_COUNT",	0xfe06},
+	{"linux/lvm.h",	"VG_STATUS_GET_NAMELIST",	0xfe07},
+	{"linux/lvm.h",	"VG_SET_EXTENDABLE",	0xfe08},
+	{"linux/lvm.h",	"VG_RENAME",	0xfe09},
+	{"linux/lvm.h",	"VG_CREATE",	0xfe0a},
+	{"linux/lvm.h",	"LV_CREATE",	0xfe20},
+	{"linux/lvm.h",	"LV_REMOVE",	0xfe21},
+	{"linux/lvm.h",	"LV_ACTIVATE",	0xfe22},
+	{"linux/lvm.h",	"LV_DEACTIVATE",	0xfe23},
+	{"linux/lvm.h",	"LV_EXTEND",	0xfe24},
+	{"linux/lvm.h",	"LV_REDUCE",	0xfe25},
+	{"linux/lvm.h",	"LV_STATUS_BYNAME",	0xfe26},
+	{"linux/lvm.h",	"LV_STATUS_BYINDEX",	0xfe27},
+	{"linux/lvm.h",	"LV_SET_ACCESS",	0xfe28},
+	{"linux/lvm.h",	"LV_SET_ALLOCATION",	0xfe29},
+	{"linux/lvm.h",	"LV_SET_STATUS",	0xfe2a},
+	{"linux/lvm.h",	"LE_REMAP",	0xfe2b},
+	{"linux/lvm.h",	"LV_SNAPSHOT_USE_RATE",	0xfe2c},
+	{"linux/lvm.h",	"LV_STATUS_BYDEV",	0xfe2e},
+	{"linux/lvm.h",	"LV_RENAME",	0xfe2f},
+	{"linux/lvm.h",	"LV_BMAP",	0xfe30},
+	{"linux/lvm.h",	"PV_STATUS",	0xfe40},
+	{"linux/lvm.h",	"PV_CHANGE",	0xfe41},
+	{"linux/lvm.h",	"PV_FLUSH",	0xfe42},
+	{"linux/lvm.h",	"PE_LOCK_UNLOCK",	0xfe50},
+	{"linux/lvm.h",	"LVM_GET_IOP_VERSION",	0xfe98},
+	{"linux/lvm.h",	"LVM_RESET",	0xfe99},
+	{"linux/lvm.h",	"LVM_LOCK_LVM",	0xff00},
diff -ur --exclude=CVS --new-file strace-cvs250203/linux/sh/signalent.h strace/linux/sh/signalent.h
--- strace-cvs250203/linux/sh/signalent.h	Thu Jan  1 01:00:00 1970
+++ strace/linux/sh/signalent.h	Wed Feb 26 01:22:42 2003
@@ -0,0 +1,33 @@
+	"SIG_0",	/* 0 */
+	"SIGHUP",	/* 1 */
+	"SIGINT",	/* 2 */
+	"SIGQUIT",	/* 3 */
+	"SIGILL",	/* 4 */
+	"SIGTRAP",	/* 5 */
+	"SIGABRT",	/* 6 */
+	"SIGBUS",	/* 7 */
+	"SIGFPE",	/* 8 */
+	"SIGKILL",	/* 9 */
+	"SIGUSR1",	/* 10 */
+	"SIGSEGV",	/* 11 */
+	"SIGUSR2",	/* 12 */
+	"SIGPIPE",	/* 13 */
+	"SIGALRM",	/* 14 */
+	"SIGTERM",	/* 15 */
+	"SIGSTKFLT",	/* 16 */
+	"SIGCHLD",	/* 17 */
+	"SIGCONT",	/* 18 */
+	"SIGSTOP",	/* 19 */
+	"SIGTSTP",	/* 20 */
+	"SIGTTIN",	/* 21 */
+	"SIGTTOU",	/* 22 */
+	"SIGURG",	/* 23 */
+	"SIGXCPU",	/* 24 */
+	"SIGXFSZ",	/* 25 */
+	"SIGVTALRM",	/* 26 */
+	"SIGPROF",	/* 27 */
+	"SIGWINCH",	/* 28 */
+	"SIGIO",	/* 29 */
+	"SIGPWR",	/* 30 */
+	"SIGSYS",	/* 31 */
+	"SIGRTMIN",	/* 32 */
diff -ur --exclude=CVS --new-file strace-cvs250203/linux/sh/syscallent.h strace/linux/sh/syscallent.h
--- strace-cvs250203/linux/sh/syscallent.h	Thu Jan  1 01:00:00 1970
+++ strace/linux/sh/syscallent.h	Wed Feb 26 01:39:29 2003
@@ -0,0 +1,337 @@
+/*
+ * Copyright (c) 1993 Branko Lankester <branko@hacktic.nl>
+ * Copyright (c) 1993, 1994, 1995 Rick Sladkey <jrs@world.std.com>
+ * Copyright (c) 2000 PocketPenguins Inc.  Linux for Hitachi SuperH
+ *                    port by Greg Banks <gbanks@pocketpenguins.com>
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ * 3. The name of the author may not be used to endorse or promote products
+ *    derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ *
+ *	$Id: syscallent.h,v 1.6 1999/12/24 08:00:37 drepper Exp $
+ */
+
+	{ 0,	0,	sys_setup,		"setup"		}, /* 0 */
+	{ 1,	TP,	sys_exit,		"_exit"		}, /* 1 */
+	{ 0,	TP,	sys_fork,		"fork"		}, /* 2 */
+	{ 3,	0,	sys_read,		"read"		}, /* 3 */
+	{ 3,	0,	sys_write,		"write"		}, /* 4 */
+	{ 3,	TF,	sys_open,		"open"		}, /* 5 */
+	{ 1,	0,	sys_close,		"close"		}, /* 6 */
+	{ 3,	TP,	sys_waitpid,		"waitpid"	}, /* 7 */
+	{ 2,	TF,	sys_creat,		"creat"		}, /* 8 */
+	{ 2,	TF,	sys_link,		"link"		}, /* 9 */
+	{ 1,	TF,	sys_unlink,		"unlink"	}, /* 10 */
+	{ 3,	TF|TP,	sys_execve,		"execve"	}, /* 11 */
+	{ 1,	TF,	sys_chdir,		"chdir"		}, /* 12 */
+	{ 1,	0,	sys_time,		"time"		}, /* 13 */
+	{ 3,	TF,	sys_mknod,		"mknod"		}, /* 14 */
+	{ 2,	TF,	sys_chmod,		"chmod"		}, /* 15 */
+	{ 3,	TF,	sys_chown,		"lchown"		}, /* 16 */
+	{ 0,	0,	sys_break,		"break"		}, /* 17 */
+	{ 2,	TF,	sys_oldstat,		"oldstat"	}, /* 18 */
+	{ 3,	0,	sys_lseek,		"lseek"		}, /* 19 */
+	{ 0,	0,	sys_getpid,		"getpid"	}, /* 20 */
+	{ 5,	TF,	sys_mount,		"mount"		}, /* 21 */
+	{ 1,	TF,	sys_umount,		"oldumount"	}, /* 22 */
+	{ 1,	0,	sys_setuid,		"setuid"	}, /* 23 */
+	{ 0,	0,	sys_getuid,		"getuid"	}, /* 24 */
+	{ 1,	0,	sys_stime,		"stime"		}, /* 25 */
+	{ 4,	0,	sys_ptrace,		"ptrace"	}, /* 26 */
+	{ 1,	0,	sys_alarm,		"alarm"		}, /* 27 */
+	{ 2,	0,	sys_oldfstat,		"oldfstat"	}, /* 28 */
+	{ 0,	TS,	sys_pause,		"pause"		}, /* 29 */
+	{ 2,	TF,	sys_utime,		"utime"		}, /* 30 */
+	{ 2,	0,	sys_stty,		"stty"		}, /* 31 */
+	{ 2,	0,	sys_gtty,		"gtty"		}, /* 32 */
+	{ 2,	TF,	sys_access,		"access"	}, /* 33 */
+	{ 1,	0,	sys_nice,		"nice"		}, /* 34 */
+	{ 0,	0,	sys_ftime,		"ftime"		}, /* 35 */
+	{ 0,	0,	sys_sync,		"sync"		}, /* 36 */
+	{ 2,	TS,	sys_kill,		"kill"		}, /* 37 */
+	{ 2,	TF,	sys_rename,		"rename"	}, /* 38 */
+	{ 2,	TF,	sys_mkdir,		"mkdir"		}, /* 39 */
+	{ 1,	TF,	sys_rmdir,		"rmdir"		}, /* 40 */
+	{ 1,	0,	sys_dup,		"dup"		}, /* 41 */
+	{ 1,	0,	sys_pipe,		"pipe"		}, /* 42 */
+	{ 1,	0,	sys_times,		"times"		}, /* 43 */
+	{ 0,	0,	sys_prof,		"prof"		}, /* 44 */
+	{ 1,	0,	sys_brk,		"brk"		}, /* 45 */
+	{ 1,	0,	sys_setgid,		"setgid"	}, /* 46 */
+	{ 0,	0,	sys_getgid,		"getgid"	}, /* 47 */
+	{ 3,	TS,	sys_signal,		"signal"	}, /* 48 */
+	{ 0,	0,	sys_geteuid,		"geteuid"	}, /* 49 */
+	{ 0,	0,	sys_getegid,		"getegid"	}, /* 50 */
+	{ 1,	TF,	sys_acct,		"acct"		}, /* 51 */
+	{ 2,	TF,	sys_umount2,		"umount"	}, /* 52 */
+	{ 0,	0,	sys_lock,		"lock"		}, /* 53 */
+	{ 3,	0,	sys_ioctl,		"ioctl"		}, /* 54 */
+	{ 3,	0,	sys_fcntl,		"fcntl"		}, /* 55 */
+	{ 0,	0,	sys_mpx,		"mpx"		}, /* 56 */
+	{ 2,	0,	sys_setpgid,		"setpgid"	}, /* 57 */
+	{ 2,	0,	sys_ulimit,		"ulimit"	}, /* 58 */
+	{ 1,	0,	sys_oldolduname,	"oldolduname"	}, /* 59 */
+	{ 1,	0,	sys_umask,		"umask"		}, /* 60 */
+	{ 1,	TF,	sys_chroot,		"chroot"	}, /* 61 */
+	{ 2,	0,	sys_ustat,		"ustat"		}, /* 62 */
+	{ 2,	0,	sys_dup2,		"dup2"		}, /* 63 */
+	{ 0,	0,	sys_getppid,		"getppid"	}, /* 64 */
+	{ 0,	0,	sys_getpgrp,		"getpgrp"	}, /* 65 */
+	{ 0,	0,	sys_setsid,		"setsid"	}, /* 66 */
+	{ 3,	TS,	sys_sigaction,		"sigaction"	}, /* 67 */
+	{ 0,	TS,	sys_siggetmask,		"siggetmask"	}, /* 68 */
+	{ 1,	TS,	sys_sigsetmask,		"sigsetmask"	}, /* 69 */
+	{ 2,	0,	sys_setreuid,		"setreuid"	}, /* 70 */
+	{ 2,	0,	sys_setregid,		"setregid"	}, /* 71 */
+	{ 3,	TS,	sys_sigsuspend,		"sigsuspend"	}, /* 72 */
+	{ 1,	TS,	sys_sigpending,		"sigpending"	}, /* 73 */
+	{ 2,	0,	sys_sethostname,	"sethostname"	}, /* 74 */
+	{ 2,	0,	sys_setrlimit,		"setrlimit"	}, /* 75 */
+	{ 2,	0,	sys_getrlimit,		"getrlimit"	}, /* 76 */
+	{ 2,	0,	sys_getrusage,		"getrusage"	}, /* 77 */
+	{ 2,	0,	sys_gettimeofday,	"gettimeofday"	}, /* 78 */
+	{ 2,	0,	sys_settimeofday,	"settimeofday"	}, /* 79 */
+	{ 2,	0,	sys_getgroups,		"getgroups"	}, /* 80 */
+	{ 2,	0,	sys_setgroups,		"setgroups"	}, /* 81 */
+	{ 1,	0,	sys_oldselect,		"oldselect"	}, /* 82 */
+	{ 2,	TF,	sys_symlink,		"symlink"	}, /* 83 */
+	{ 2,	TF,	sys_oldlstat,		"oldlstat"	}, /* 84 */
+	{ 3,	TF,	sys_readlink,		"readlink"	}, /* 85 */
+	{ 1,	TF,	sys_uselib,		"uselib"	}, /* 86 */
+	{ 1,	TF,	sys_swapon,		"swapon"	}, /* 87 */
+	{ 3,	0,	sys_reboot,		"reboot"	}, /* 88 */
+	{ 3,	0,	sys_readdir,		"readdir"	}, /* 89 */
+	{ 6,	0,	sys_old_mmap,		"old_mmap"   	}, /* 90 */
+	{ 2,	0,	sys_munmap,		"munmap"	}, /* 91 */
+	{ 2,	TF,	sys_truncate,		"truncate"	}, /* 92 */
+	{ 2,	0,	sys_ftruncate,		"ftruncate"	}, /* 93 */
+	{ 2,	0,	sys_fchmod,		"fchmod"	}, /* 94 */
+	{ 3,	0,	sys_fchown,		"fchown"	}, /* 95 */
+	{ 2,	0,	sys_getpriority,	"getpriority"	}, /* 96 */
+	{ 3,	0,	sys_setpriority,	"setpriority"	}, /* 97 */
+	{ 4,	0,	sys_profil,		"profil"	}, /* 98 */
+	{ 2,	TF,	sys_statfs,		"statfs"	}, /* 99 */
+	{ 2,	0,	sys_fstatfs,		"fstatfs"	}, /* 100 */
+	{ 3,	0,	sys_ioperm,		"ioperm"	}, /* 101 */
+	{ 2,	0,	sys_socketcall,		"socketcall"	}, /* 102 */
+	{ 3,	0,	sys_syslog,		"syslog"	}, /* 103 */
+	{ 3,	0,	sys_setitimer,		"setitimer"	}, /* 104 */
+	{ 2,	0,	sys_getitimer,		"getitimer"	}, /* 105 */
+	{ 2,	TF,	sys_stat,		"stat"		}, /* 106 */
+	{ 2,	TF,	sys_lstat,		"lstat"		}, /* 107 */
+	{ 2,	0,	sys_fstat,		"fstat"		}, /* 108 */
+	{ 1,	0,	sys_olduname,		"olduname"	}, /* 109 */
+	{ 1,	0,	sys_iopl,		"iopl"		}, /* 110 */
+	{ 0,	0,	sys_vhangup,		"vhangup"	}, /* 111 */
+	{ 0,	0,	sys_idle,		"idle"		}, /* 112 */
+	{ 1,	0,	sys_vm86old,		"vm86old"	}, /* 113 */
+	{ 4,	TP,	sys_wait4,		"wait4"		}, /* 114 */
+	{ 1,	0,	sys_swapoff,		"swapoff"	}, /* 115 */
+	{ 1,	0,	sys_sysinfo,		"sysinfo"	}, /* 116 */
+	{ 5,	0,	sys_ipc,		"ipc"		}, /* 117 */
+	{ 1,	0,	sys_fsync,		"fsync"		}, /* 118 */
+	{ 1,	TS,	sys_sigreturn,		"sigreturn"	}, /* 119 */
+	{ 2,	TP,	sys_clone,		"clone"		}, /* 120 */
+	{ 2,	0,	sys_setdomainname,	"setdomainname"	}, /* 121 */
+	{ 1,	0,	sys_uname,		"uname"		}, /* 122 */
+	{ 3,	0,	sys_modify_ldt,		"modify_ldt"	}, /* 123 */
+	{ 1,	0,	sys_adjtimex,		"adjtimex"	}, /* 124 */
+	{ 3,	0,	sys_mprotect,		"mprotect"	}, /* 125 */
+	{ 3,	TS,	sys_sigprocmask,	"sigprocmask"	}, /* 126 */
+	{ 2,	0,	sys_create_module,	"create_module"	}, /* 127 */
+	{ 2,	0,	sys_init_module,	"init_module"	}, /* 128 */
+	{ 1,	0,	sys_delete_module,	"delete_module"	}, /* 129 */
+	{ 1,	0,	sys_get_kernel_syms,	"get_kernel_syms"}, /* 130 */
+	{ 4,	0,	sys_quotactl,		"quotactl"	}, /* 131 */
+	{ 1,	0,	sys_getpgid,		"getpgid"	}, /* 132 */
+	{ 1,	0,	sys_fchdir,		"fchdir"	}, /* 133 */
+	{ 0,	0,	sys_bdflush,		"bdflush"	}, /* 134 */
+	{ 3,	0,	sys_sysfs,		"sysfs"		}, /* 135 */
+	{ 1,	0,	sys_personality,	"personality"	}, /* 136 */
+	{ 5,	0,	sys_afs_syscall,	"afs_syscall"	}, /* 137 */
+	{ 1,	0,	sys_setfsuid,		"setfsuid"	}, /* 138 */
+	{ 1,	0,	sys_setfsgid,		"setfsgid"	}, /* 139 */
+	{ 5,	0,	sys_llseek,		"_llseek"	}, /* 140 */
+	{ 3,	0,	sys_getdents,		"getdents"	}, /* 141 */
+	{ 5,	0,	sys_select,		"select"	}, /* 142 */
+	{ 2,	0,	sys_flock,		"flock"		}, /* 143 */
+	{ 3,	0,	sys_msync,		"msync"		}, /* 144 */
+	{ 3,	0,	sys_readv,		"readv"		}, /* 145 */
+	{ 3,	0,	sys_writev,		"writev"	}, /* 146 */
+	{ 1,	0,	sys_getsid,		"getsid"	}, /* 147 */
+	{ 1,	0,	sys_fdatasync,		"fdatasync"	}, /* 148 */
+	{ 1,	0,	sys_sysctl,		"_sysctl"	}, /* 149 */
+	{ 1,	0,	sys_mlock,		"mlock"		}, /* 150 */
+	{ 2,	0,	sys_munlock,		"munlock"	}, /* 151 */
+	{ 2,	0,	sys_mlockall,		"mlockall"	}, /* 152 */
+	{ 1,	0,	sys_munlockall,		"munlockall"	}, /* 153 */
+	{ 0,	0,	sys_sched_setparam,	"sched_setparam"}, /* 154 */
+	{ 2,	0,	sys_sched_getparam,	"sched_getparam"}, /* 155 */
+	{ 3,	0,	sys_sched_setscheduler,	"sched_setscheduler"}, /* 156 */
+	{ 1,	0,	sys_sched_getscheduler,	"sched_getscheduler"}, /* 157 */
+	{ 0,	0,	sys_sched_yield,	"sched_yield"}, /* 158 */
+	{ 1,	0,	sys_sched_get_priority_max,"sched_get_priority_max"}, /* 159 */
+	{ 1,	0,	sys_sched_get_priority_min,"sched_get_priority_min"}, /* 160 */
+	{ 2,	0,	sys_sched_rr_get_interval,"sched_rr_get_interval"}, /* 161 */
+	{ 2,	0,	sys_nanosleep,		"nanosleep"	}, /* 162 */
+	{ 4,	0,	sys_mremap,		"mremap"	}, /* 163 */
+	{ 3,	0,	sys_setresuid,		"setresuid"	}, /* 164 */
+	{ 3,	0,	sys_getresuid,		"getresuid"	}, /* 165 */
+	{ 5,	0,	printargs,		"vm86"		}, /* 166 */
+	{ 5,	0,	sys_query_module,	"query_module"	}, /* 167 */
+	{ 3,	0,	sys_poll,		"poll"		}, /* 168 */
+	{ 3,	0,	printargs,		"nfsservctl"	}, /* 169 */
+	{ 3,	0,	sys_setresgid,		"setresgid"	}, /* 170 */
+	{ 3,	0,	sys_getresgid,		"getresgid"	}, /* 171 */
+	{ 5,	0,	printargs,		"prctl"		}, /* 172 */
+	{ 1,	TS,	printargs,		"rt_sigreturn"	}, /* 173 */
+	{ 4,	TS,	sys_rt_sigaction,	"rt_sigaction"  }, /* 174 */
+	{ 4,	TS,	sys_rt_sigprocmask,	"rt_sigprocmask"}, /* 175 */
+	{ 2,	TS,	sys_rt_sigpending,	"rt_sigpending"	}, /* 176 */
+	{ 4,	TS,	sys_rt_sigtimedwait,	"rt_sigtimedwait"}, /* 177 */
+	{ 3,	TS,	sys_rt_sigqueueinfo,    "rt_sigqueueinfo"}, /* 178 */
+	{ 2,	TS,	sys_rt_sigsuspend,	"rt_sigsuspend"	}, /* 179 */
+
+	{ 5,	TF,	sys_pread,		"pread"		}, /* 180 */
+	{ 5,	TF,	sys_pwrite,		"pwrite"	}, /* 181 */
+	{ 3,	TF,	sys_chown,		"chown"		}, /* 182 */
+	{ 2,	0,	sys_getcwd,		"getcwd"	}, /* 183 */
+	{ 2,	0,	sys_capget,		"capget"	}, /* 184 */
+	{ 2,	0,	sys_capset,		"capset"	}, /* 185 */
+	{ 2,	TS,	sys_sigaltstack,	"sigaltstack"	}, /* 186 */
+	{ 4,	TF,	sys_sendfile,		"sendfile"	}, /* 187 */
+	{ 5,	0,	printargs,		"SYS_188"	}, /* 188 */
+	{ 5,	0,	printargs,		"SYS_189"	}, /* 189 */
+	{ 0,	TP,	sys_vfork,		"vfork"		}, /* 190 */
+	{ 5,	0,	printargs,		"getrlimit"	}, /* 191 */
+	{ 6,	0,	sys_mmap,		"mmap2"		}, /* 192 */
+	{ 5,	0,	printargs,		"truncate64"	}, /* 193 */
+	{ 5,	0,	printargs,		"ftruncate64"	}, /* 194 */
+	{ 2,	TF,	sys_stat64,		"stat64"	}, /* 195 */
+	{ 2,	TF,	sys_lstat64,		"lstat64"	}, /* 196 */
+	{ 2,	TF,	sys_fstat64,		"fstat64"	}, /* 197 */
+/*TODO*/{ 3,	TF,	printargs,		"lchown32"	}, /* 198 */
+/*TODO*/{ 0,	0,	printargs,		"getuid32"	}, /* 199 */
+
+	{ 0,	0,	printargs,		"getgid32"	}, /* 200 */
+	{ 0,	0,	printargs,		"geteuid32"	}, /* 201 */
+	{ 0,	0,	printargs,		"getegid32"	}, /* 202 */
+	{ 2,	0,	printargs,		"setreuid32"	}, /* 203 */
+	{ 2,	0,	printargs,		"setregid32"	}, /* 204 */
+	{ 2,	0,	printargs,		"getgroups32"	}, /* 205 */
+	{ 2,	0,	printargs,		"setgroups32"	}, /* 206 */
+	{ 3,	0,	printargs,		"fchown32"	}, /* 207 */
+	{ 3,	0,	printargs,		"setresuid32"	}, /* 208 */
+	{ 3,	0,	printargs,		"getresuid32"	}, /* 209 */
+	{ 3,	0,	printargs,		"setresgid32"	}, /* 210 */
+	{ 3,	0,	printargs,		"getsetgid32"	}, /* 211 */
+	{ 3,	TF,	printargs,		"chown32"	}, /* 212 */
+	{ 1,	0,	printargs,		"setuid32"	}, /* 213 */
+	{ 1,	0,	printargs,		"setgid32"	}, /* 214 */
+	{ 1,	0,	printargs,		"setfsuid32"	}, /* 215 */
+	{ 1,	0,	printargs,		"setfsgid32"	}, /* 216 */
+	{ 2,	TF,	sys_pivotroot,		"pivot_root"	}, /* 217 */
+	{ 3,	0,	printargs,		"mincore"	}, /* 218 */
+	{ 3,	0,	sys_madvise,		"madvise"	}, /* 219 */
+	{ 4,	0,	printargs,		"getdents64"	}, /* 220 */
+	{ 3,	0,	sys_fcntl,		"fcntl64"	}, /* 221 */
+	{ 4,	0,	printargs,		"SYS_222"	}, /* 222 */
+	{ 4,	0,	printargs,		"SYS_223"	}, /* 223 */
+	{ 4,	0,	printargs,		"SYS_224"	}, /* 224 */
+	{ 5,	0,	printargs,		"SYS_225"	}, /* 225 */
+	{ 5,	0,	printargs,		"SYS_226"	}, /* 226 */
+	{ 5,	0,	printargs,		"SYS_227"	}, /* 227 */
+	{ 5,	0,	printargs,		"SYS_228"	}, /* 228 */
+	{ 5,	0,	printargs,		"SYS_229"	}, /* 229 */
+
+	{ 8,	0,	printargs,		"socket_subcall"}, /* 230 */
+	{ 3,	TN,	sys_socket,		"socket"	}, /* 231 */
+	{ 3,	TN,	sys_bind,		"bind"		}, /* 232 */
+	{ 3,	TN,	sys_connect,		"connect"	}, /* 233 */
+	{ 2,	TN,	sys_listen,		"listen"	}, /* 234 */
+	{ 3,	TN,	sys_accept,		"accept"	}, /* 235 */
+	{ 3,	TN,	sys_getsockname,	"getsockname"	}, /* 236 */
+	{ 3,	TN,	sys_getpeername,	"getpeername"	}, /* 237 */
+	{ 4,	TN,	sys_socketpair,		"socketpair"	}, /* 238 */
+	{ 4,	TN,	sys_send,		"send"		}, /* 239 */
+	{ 4,	TN,	sys_recv,		"recv"		}, /* 240 */
+	{ 6,	TN,	sys_sendto,		"sendto"	}, /* 241 */
+	{ 6,	TN,	sys_recvfrom,		"recvfrom"	}, /* 242 */
+	{ 2,	TN,	sys_shutdown,		"shutdown"	}, /* 243 */
+	{ 5,	TN,	sys_setsockopt,		"setsockopt"	}, /* 244 */
+	{ 5,	TN,	sys_getsockopt,		"getsockopt"	}, /* 245 */
+	{ 5,	TN,	sys_sendmsg,		"sendmsg"	}, /* 246 */
+	{ 5,	TN,	sys_recvmsg,		"recvmsg"	}, /* 247 */
+	{ 5,	0,	printargs,		"SYS_248"	}, /* 248 */
+	{ 5,	0,	printargs,		"SYS_249"	}, /* 249 */
+
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 250 */
+	{ 4,	TI,	sys_semop,		"semop"		}, /* 251 */
+	{ 4,	TI,	sys_semget,		"semget"	}, /* 252 */
+	{ 4,	TI,	sys_semctl,		"semctl"	}, /* 253 */
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 254 */
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 255 */
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 256 */
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 257 */
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 258 */
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 259 */
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 260 */
+	{ 4,	TI,	sys_msgsnd,		"msgsnd"	}, /* 261 */
+	{ 4,	TI,	sys_msgrcv,		"msgrcv"	}, /* 262 */
+	{ 4,	TI,	sys_msgget,		"msgget"	}, /* 263 */
+	{ 4,	TI,	sys_msgctl,		"msgctl"	}, /* 264 */
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 265 */
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 266 */
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 267 */
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 268 */
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 269 */
+	{ 4,	0,	printargs,		"ipc_subcall"	}, /* 270 */
+	{ 4,	TI,	sys_shmat,		"shmat"		}, /* 271 */
+	{ 4,	TI,	sys_shmdt,		"shmdt"		}, /* 272 */
+	{ 4,	TI,	sys_shmget,		"shmget"	}, /* 273 */
+	{ 4,	TI,	sys_shmctl,		"shmctl"	}, /* 274 */
+	{ 5,	0,	printargs,		"SYS_275"	}, /* 275 */
+	{ 5,	0,	printargs,		"SYS_276"	}, /* 276 */
+	{ 5,	0,	printargs,		"SYS_277"	}, /* 277 */
+	{ 5,	0,	printargs,		"SYS_278"	}, /* 278 */
+	{ 5,	0,	printargs,		"SYS_279"	}, /* 279 */
+
+	{ 8,	0,	printargs,		"socket_subcall"}, /* 280 */
+	{ 3,	TN,	sys_socket,		"socket"	}, /* 281 */
+	{ 3,	TN,	sys_bind,		"bind"		}, /* 282 */
+	{ 3,	TN,	sys_connect,		"connect"	}, /* 283 */
+	{ 2,	TN,	sys_listen,		"listen"	}, /* 284 */
+	{ 3,	TN,	sys_accept,		"accept"	}, /* 285 */
+	{ 3,	TN,	sys_getsockname,	"getsockname"	}, /* 286 */
+	{ 3,	TN,	sys_getpeername,	"getpeername"	}, /* 287 */
+	{ 4,	TN,	sys_socketpair,		"socketpair"	}, /* 288 */
+	{ 4,	TN,	sys_send,		"send"		}, /* 289 */
+	{ 4,	TN,	sys_recv,		"recv"		}, /* 290 */
+	{ 6,	TN,	sys_sendto,		"sendto"	}, /* 291 */
+	{ 6,	TN,	sys_recvfrom,		"recvfrom"	}, /* 292 */
+	{ 2,	TN,	sys_shutdown,		"shutdown"	}, /* 293 */
+	{ 5,	TN,	sys_setsockopt,		"setsockopt"	}, /* 294 */
+	{ 5,	TN,	sys_getsockopt,		"getsockopt"	}, /* 295 */
+	{ 5,	TN,	sys_sendmsg,		"sendmsg"	}, /* 296 */
+	{ 5,	TN,	sys_recvmsg,		"recvmsg"	}, /* 297 */
+	{ 5,	0,	printargs,		"SYS_298"	}, /* 298 */
+	{ 5,	0,	printargs,		"SYS_299"	}, /* 299 */
diff -ur --exclude=CVS --new-file strace-cvs250203/mem.c strace/mem.c
--- strace-cvs250203/mem.c	Sun Dec 22 03:34:36 2002
+++ strace/mem.c	Tue Feb 25 23:32:40 2003
@@ -216,7 +216,12 @@
 		return 0;
 	else
 		u_arg[i] = v;
-#else	// defined(IA64)
+#elif defined(SH)
+    /* SH has always passed the args in registers */
+    int i;
+    for (i=0; i<6; i++)
+        u_arg[i] = tcp->u_arg[i];
+#else
     if (umoven(tcp, tcp->u_arg[0], sizeof u_arg, (char *) u_arg) == -1)
 	    return 0;
 #endif	// defined(IA64)
diff -ur --exclude=CVS --new-file strace-cvs250203/net.c strace/net.c
--- strace-cvs250203/net.c	Tue Jan 14 07:53:38 2003
+++ strace/net.c	Wed Feb 26 02:36:14 2003
@@ -1163,7 +1163,7 @@
 struct tcb *tcp;
 {
 
-#if defined(LINUX) && !defined(SPARC)
+#if defined(LINUX) && !defined(SPARC) && !defined(SH)
 	int fds[2];
 
 	if (exiting(tcp)) {
@@ -1176,7 +1176,7 @@
 		else
 			tprintf("[%u, %u]", fds[0], fds[1]);
 	}
-#elif defined(SPARC) || defined(SVR4) || defined(FREEBSD)
+#elif defined(SPARC) || defined(SH) || defined(SVR4) || defined(FREEBSD)
 	if (exiting(tcp))
 		tprintf("[%lu, %lu]", tcp->u_rval, getrval2(tcp));
 #endif
diff -ur --exclude=CVS --new-file strace-cvs250203/process.c strace/process.c
--- strace-cvs250203/process.c	Mon Feb 24 10:18:07 2003
+++ strace/process.c	Wed Feb 26 23:37:54 2003
@@ -660,7 +660,7 @@
 	    	return -1;
 	return 0;
 #elif defined(SH)
-       if (ptrace(PTRACE_POKEUSER, tcp->pid, (char*)(REG_SYSCALL), new)<0)
+       if (ptrace(PTRACE_POKEUSER, tcp->pid, (char*)(4*(REG_REG0+3)), new)<0)
                return -1;
        return 0;
 #else
diff -ur --exclude=CVS --new-file strace-cvs250203/syscall.c strace/syscall.c
--- strace-cvs250203/syscall.c	Thu Feb 20 02:45:22 2003
+++ strace/syscall.c	Wed Feb 26 02:38:19 2003
@@ -2298,6 +2298,9 @@
 	if (ptrace(PTRACE_GETREGS,tcp->pid,(char *)&regs,0) < 0)
 		return -1;
 	val = regs.r_o1;
+#elif defined(SH)
+	if (upeek(tcp->pid, 4*(REG_REG0+1), &val) < 0)
+		return -1;
 #endif /* SPARC */
 #endif /* LINUX */
 
diff -ur --exclude=CVS --new-file strace-cvs250203/syscallent.sh strace/syscallent.sh
--- strace-cvs250203/syscallent.sh	Mon Dec 30 00:51:32 2002
+++ strace/syscallent.sh	Wed Feb 26 01:07:21 2003
@@ -26,7 +26,7 @@
 #
 #	$Id: syscallent.sh,v 1.2 2002/12/30 00:51:32 roland Exp $
 
-cat {1+"$@"} |
+cat ${1+"$@"} |
 	sed -n 's/^#[ 	]*define[ 	][ 	]*SYS_\([^ 	]*\)[ 	]*[^0-9]*\([0-9]*\).*$/\1 \2/p
 s/^#[ 	]*define[ 	][ 	]*__NR_\([^ 	]*\)[ 	]*[^0-9]*\([0-9]*\).*$/\1 \2/p
 s/^#[ ]*define[ ][ ]*__NR_\([^ ]*\)[ ]*[^0-9()]*(__NR_Linux + \([0-9]*\))$/\1 \2/p' |
diff -ur --exclude=CVS --new-file strace-cvs250203/util.c strace/util.c
--- strace-cvs250203/util.c	Thu Jan 30 20:15:19 2003
+++ strace/util.c	Wed Feb 26 02:30:42 2003
@@ -1223,10 +1223,13 @@
 # elif defined (X86_64)
 #  define arg0_offset	((long)(8*(current_personality ? RBX : RDI)))
 #  define arg1_offset	((long)(8*(current_personality ? RCX : RSI)))
+# elif defined (SH)
+#  define arg0_offset	(4*(REG_REG0+4))
+#  define arg1_offset	(4*(REG_REG0+5))
 # else
 #  define arg0_offset	0
 #  define arg1_offset	4
-#  if defined SH || defined ARM
+#  if defined ARM
 #   define restore_arg0(tcp, state, val) 0
 #  endif
 # endif
